KTWSAPI - KTWSAPI delphi api

KTWSAPI
Class Tree
Index
Previous
Next

Project
KTWSAPI

Summary
KTWSAPI delphi api

Description
A Delphi port of the php api for Knowledgetree Webservice

Author
Bjarte Kalstveit Vebjørnsen

Files
File | Description
KTWSAPI | This is a Delphi port of the php api for KnowledgeTree WebService.
uKtwsapi | This is a Delphi port of the php api for KnowledgeTree WebService.
uPHPSerialize | A helper unit to unserialize a php serialized string
uWebservice | Unit auto-generated by delphi's wsdl imported

KTWSAPI
Class Tree
Index
Previous
Next

Add your copyright informations and link here.
Created with DelphiCodeToDoc. To obtain the latest revision, please visit http://dephicodetodoc.sourceforge.net/


Previous
Next

Class Hierarchy

#ROOT#

TObject

* TPHPArray

* TPHPValue

* TPHPSerialize

* TKTWSAPI_FolderItem

* TKTWSAPI_Folder

* TKTWSAPI_Document

* TKTWSAPI

IInterface

No parent

* TPHPHashElement

#OrphanClass#

* EKTWSAPI_Exception

* kt_response

* kt_folder_detail

* kt_folder_item

* kt_folder_contents

* kt_document_detail

* kt_metadata_selection_item

* kt_metadata_field

* kt_metadata_fieldset

* kt_metadata_response

* kt_document_transitions_response

* kt_document_transaction_history_item

* kt_linked_document

* kt_linked_document_response

* kt_document_transaction_history_response

* kt_document_version_history_item

* kt_document_version_history_response

* kt_document_types_response

* KnowledgeTreePort

KTWSAPI
Class Tree
Index
Previous
Next


Previous
Next (uKtwsapi)

Unit
KTWSAPI

Description
This is a Delphi port of the php api for KnowledgeTree WebService.

Author

Bjarte Kalstveit Vebjørnsen

Version

1.0 BKV 24.09.2007 Initial revision

KTWSAPI
Class Tree
Index
Previous
Next (uKtwsapi)


Previous (KTWSAPI)
Next (uPHPSerialize)

Unit
uKtwsapi

Description
This is a Delphi port of the php api for KnowledgeTree WebService.

Author

Bjarte Kalstveit Vebjørnsen

Version

1.0 BKV 24.09.2007 Initial revision

Classes
Class | Description
EKTWSAPI_Exception | Base exception class
TKTWSAPI | Api entry point
TKTWSAPI_Document | Class representing a document
TKTWSAPI_Folder | Class representing a folder
TKTWSAPI_FolderItem | Base class for documents and folders

Constants
Constant | Description
KTWSAPI_ERR_SESSION_IN_USE | Exception message when session is in use
KTWSAPI_ERR_SESSION_NOT_STARTED | Exception message when session is not started

Variables
Variable | Description
KTUploadUrl | URL to the web-service upload.php
KTWebServerUrl | Your webserver url
KTWebServiceUrl | URL to the web-service wsdl

KTWSAPI
Class Tree
Index
Previous (KTWSAPI)
Next (uPHPSerialize)


Previous
Next (TKTWSAPI)

Class
EKTWSAPI_Exception

Class Hierarchy
Exception

Parent
uKtwsapi

Description

Base exception class

Legend
Symbol | Visibility
- | Private
# | Protected
+ | Public
* | Published
A | Automated
S | Strict

KTWSAPI
Class Tree
Index
Previous
Next (TKTWSAPI)


Previous (EKTWSAPI_Exception)
Next (TKTWSAPI_Document)

Class
TKTWSAPI

Class Hierarchy
TObject

Parent
uKtwsapi

Description

Api entry point

Members
Fields
Field | Description
FDownloadPath (-) | Current session id
FSession (-) | Current download path
FSoapClient (-) | Object implementing the

Methods
Method | Description
ActiveSession (+) | Sets an active session.
Create (+) | Constructor
GetDocumentById (+) | Returns a reference to a document based on id.
GetDownloadPath (+) | This returns the default location where documents are downloaded in download() and checkout().
GetFolderById (+) | Returns a reference to a folder based on id.
GetRootFolder (+) | Returns a reference to the root folder.
Logout (+) | Closes an active session.
SetDownloadPath (+) | Allows the default location for downloaded documents to be changed.
StartAnonymousSession (+) | Starts an anonymous session.
StartSession (+) | Starts a user session.

Properties
Property | Description
Session (*) | Current download path
SoapClient (*) | Object implementing the

Legend
Symbol | Visibility
- | Private
# | Protected
+ | Public
* | Published
A | Automated
S | Strict

KTWSAPI
Class Tree
Index
Previous (EKTWSAPI_Exception)
Next (TKTWSAPI_Document)


Previous
Next (FSession)

Member
FDownloadPath

Visibility
PRIVATE

Related Class
TKTWSAPI

Description

Current session id

Source code
FSession , FDownloadPath : WideString

KTWSAPI
Class Tree
Index
Previous
Next (FSession)


Previous (FDownloadPath)
Next (FSoapClient)

Member
FSession

Visibility
PRIVATE

Related Class
TKTWSAPI

Description

Current download path

Source code
FSession , FDownloadPath : WideString

KTWSAPI
Class Tree
Index
Previous (FDownloadPath)
Next (FSoapClient)


Previous (FSession)
Next

Member
FSoapClient

Visibility
PRIVATE

Related Class
TKTWSAPI

Description

Object implementing the

Source code
FSoapClient : KnowledgeTreePort

KTWSAPI
Class Tree
Index
Previous (FSession)
Next


Previous
Next (SoapClient)

Member
Session

Visibility
PUBLISHED

Related Class
TKTWSAPI

Description

Current download path

Source code
property Session : WideString read FSession write FSession

Read Access
FSession

Write Access
FSession

KTWSAPI
Class Tree
Index
Previous
Next (SoapClient)


Previous (Session)
Next

Member
SoapClient

Visibility
PUBLISHED

Related Class
TKTWSAPI

Description

Object implementing the

Source code
property SoapClient : KnowledgeTreePort read FSoapClient write FSoapClient

Read Access
FSoapClient

Write Access
FSoapClient

KTWSAPI
Class Tree
Index
Previous (Session)
Next


Previous
Next (Create)

Member
ActiveSession

Visibility
PUBLIC

Related Class
TKTWSAPI

Description

Sets an active session.

Exception
EKTWSAPI_Exception KTWSAPI_ERR_SESSION_IN_USE

Source code
function ActiveSession ( Session : WideString ; Ip : WideString = '' ) : WideString

Parameters
Parameter | Description
Ip : WIDESTRING | Users Ip-adress
Session : WIDESTRING | Session id to activate

Return
Types | Description
WIDESTRING | Active session id

KTWSAPI
Class Tree
Index
Previous
Next (Create)


Previous (ActiveSession)
Next (GetDocumentById)

Member
Create

Visibility
PUBLIC

Related Class
TKTWSAPI

Description

Constructor

Source code
constructor Create ( )

Parameters
Parameter Description

KTWSAPI
Class Tree
Index
Previous (ActiveSession)
Next (GetDocumentById)


Previous (Create)
Next (GetDownloadPath)

Member
GetDocumentById

Visibility
PUBLIC

Related Class
TKTWSAPI

Description

Returns a reference to a document based on id.

Source code
function GetDocumentById ( DocumentId : Integer ) : TKTWSAPI_Document

Parameters
Parameter | Description
DocumentId : INTEGER | Id of document

Return
Types | Description
TKTWSAPI_Document | handle to document

KTWSAPI
Class Tree
Index
Previous (Create)
Next (GetDownloadPath)


Previous (GetDocumentById)
Next (GetFolderById)

Member
GetDownloadPath

Visibility
PUBLIC

Related Class
TKTWSAPI

Description

This returns the default location where documents are downloaded in download() and checkout().

Source code
function GetDownloadPath : WideString

Parameters
Parameter Description

Return
Types | Description
WIDESTRING | string

KTWSAPI
Class Tree
Index
Previous (GetDocumentById)
Next (GetFolderById)


Previous (GetDownloadPath)
Next (GetRootFolder)

Member
GetFolderById

Visibility
PUBLIC

Related Class
TKTWSAPI

Description

Returns a reference to a folder based on id.

Source code
function GetFolderById ( FolderId : Integer ) : TKTWSAPI_Folder

Parameters
Parameter | Description
FolderId : INTEGER | Id of folder

Return
Types | Description
TKTWSAPI_Folder | handle to folder

KTWSAPI
Class Tree
Index
Previous (GetDownloadPath)
Next (GetRootFolder)


Previous (GetFolderById)
Next (Logout)

Member
GetRootFolder

Visibility
PUBLIC

Related Class
TKTWSAPI

Description

Returns a reference to the root folder.

Source code
function GetRootFolder : TKTWSAPI_Folder

Parameters
Parameter Description

Return
Types | Description
TKTWSAPI_Folder | handle to folder

KTWSAPI
Class Tree
Index
Previous (GetFolderById)
Next (Logout)


Previous (GetRootFolder)
Next (SetDownloadPath)

Member
Logout

Visibility
PUBLIC

Related Class
TKTWSAPI

Description

Closes an active session.

Source code
function Logout : Boolean

Parameters
Parameter Description

Return
Types | Description
BOOLEAN | true

KTWSAPI
Class Tree
Index
Previous (GetRootFolder)
Next (SetDownloadPath)


Previous (Logout)
Next (StartAnonymousSession)

Member
SetDownloadPath

Visibility
PUBLIC

Related Class
TKTWSAPI

Description

Allows the default location for downloaded documents to be changed.

Source code
function SetDownloadPath ( DownloadPath : WideString ) : Boolean

Parameters
Parameter | Description
DownloadPath : WIDESTRING | Path to writable folder

Return
Types | Description
BOOLEAN | true

KTWSAPI
Class Tree
Index
Previous (Logout)
Next (StartAnonymousSession)


Previous (SetDownloadPath)
Next (StartSession)

Member
StartAnonymousSession

Visibility
PUBLIC

Related Class
TKTWSAPI

Description

Starts an anonymous session.

Source code
function StartAnonymousSession ( Ip : WideString = '' ) : WideString

Parameters
Parameter | Description
Ip : WIDESTRING | Users Ip-adress

Return
Types | Description
WIDESTRING | Active session id

KTWSAPI
Class Tree
Index
Previous (SetDownloadPath)
Next (StartSession)


Previous (StartAnonymousSession)
Next

Member
StartSession

Visibility
PUBLIC

Related Class
TKTWSAPI

Description

Starts a user session.

Exception
EKTWSAPI_Exception KTWSAPI_ERR_SESSION_IN_USE
EKTWSAPI_Exception Response message

Source code
function StartSession ( Username , Password : WideString ; Ip : WideString = '' ) : WideString

Parameters
Parameter | Description
Ip : WIDESTRING | Users Ip-adress
Password : WIDESTRING | Users password
Username : WIDESTRING | Users username

Return
Types | Description
WIDESTRING | Active session id

KTWSAPI
Class Tree
Index
Previous (StartAnonymousSession)
Next


Previous (TKTWSAPI)
Next (TKTWSAPI_Folder)

Class
TKTWSAPI_Document

Class Hierarchy
TKTWSAPI_FolderItem

Parent
uKtwsapi

Description

Class representing a document

Members
Fields
Field | Description
FCheckoutBy (-) | Workflow state
FCreatedBy (-) | Date created
FCreatedDate (-) | Original filename
FDocumentId (-) | Id of document
FDocumentType (-) | Title of document
FFileName (-) | Document version
FFullPath (-) | Name of user who checked out
FTitle (-) | Full path to document
FUpdatedBy (-) | Date updated
FUpdatedDate (-) | Name of user who created
FVersion (-) | Type of document
FWorkflow (-) | Name of user who updated
FWorkflowState (-) | Workflow

Methods
Method | Description
ChangeDocumentType (+) | Changes the document type.
ChangeOwner (+) | Changes the owner of the document.
Checkin (+) | Checks in a document.
CheckinBase64 (+) | Checks in a document and uploads through webservice
Checkout (+) | Checks out a document.
CheckoutBase64 (+) | Checks out a document and downloads document through webservice
Copy (+) | Copies the current document to the specified folder.
Create (+) | Constructor
Delete (+) | Deletes the current document.
DeleteWorkflow (+) | Removes the workflow process from the current document.
Download (+) | Download a version of the document
DownloadBase64 (+) | Download a version of the document through webservice
Get (+) | Returns a reference to a document.
GetLinks (+) | Returns the links of the current document
GetLinkTypes (+) | Get list of document link types
GetMetadata (+) | Returns metadata on the document.
GetTransactionHistory (+) | Returns the transaction history on the current document.
GetTypes (+) | Gets list of document types
GetVersionHistory (+) | Returns the version history on the current document.
Link (+) | Links the current document to a DocumentId
Move (+) | Moves the current document to the specified folder.
PeformWorkflowTransition (+) | Performs a transition on the current document.
RenameFilename (+) | Renames the filename of the current document.
RenameTitle (+) | Renames the title of the current document.
StartWorkflow (+) | Starts a workflow on the current document.
UndoCheckout (+) | Undo a document checkout
Unlink (+) | Unlinks the current document from a DocumentId
UpdateMetadata (+) | Updates the metadata on the current document.

Properties
Property | Description
CheckoutBy (+) | Workflow state
CreatedBy (+) | Date created
CreatedDate (+) | Date created
DocumentId (+) | Id of document
DocumentType (+) | Title of document
FileName (+) | Document version
FullPath (+) | Name of user who checked out
Title (+) | Full path to document
UpdatedBy (+) | Date updated
UpdatedDate (+) | Name of user who created
Version (+) | Type of document
Workflow (+) | Name of user who updated
WorkflowState (+) | Workflow

Legend
Symbol | Visibility
- | Private
# | Protected
+ | Public
* | Published
A | Automated
S | Strict

KTWSAPI
Class Tree
Index
Previous (TKTWSAPI)
Next (TKTWSAPI_Folder)


Previous
Next (FCreatedBy)

Member
FCheckoutBy

Visibility
PRIVATE

Related Class
TKTWSAPI_Document

Description

Workflow state

Source code
FTitle , FDocumentType , FVersion , FFileName , FCreatedDate , FCreatedBy , FUpdatedDate , FUpdatedBy , FWorkflow , FWorkflowState , FCheckoutBy , FFullPath : WideString

KTWSAPI
Class Tree
Index
Previous
Next (FCreatedBy)


Previous (FCheckoutBy)
Next (FCreatedDate)

Member
FCreatedBy

Visibility
PRIVATE

Related Class
TKTWSAPI_Document

Description

Date created

Source code
FTitle , FDocumentType , FVersion , FFileName , FCreatedDate , FCreatedBy , FUpdatedDate , FUpdatedBy , FWorkflow , FWorkflowState , FCheckoutBy , FFullPath : WideString

KTWSAPI
Class Tree
Index
Previous (FCheckoutBy)
Next (FCreatedDate)


Previous (FCreatedBy)
Next (FDocumentId)

Member
FCreatedDate

Visibility
PRIVATE

Related Class
TKTWSAPI_Document

Description

Original filename

Source code
FTitle , FDocumentType , FVersion , FFileName , FCreatedDate , FCreatedBy , FUpdatedDate , FUpdatedBy , FWorkflow , FWorkflowState , FCheckoutBy , FFullPath : WideString

KTWSAPI
Class Tree
Index
Previous (FCreatedBy)
Next (FDocumentId)


Previous (FCreatedDate)
Next (FDocumentType)

Member
FDocumentId

Visibility
PRIVATE

Related Class
TKTWSAPI_Document

Description

Id of document

Source code
FDocumentId : Integer

KTWSAPI
Class Tree
Index
Previous (FCreatedDate)
Next (FDocumentType)


Previous (FDocumentId)
Next (FFileName)

Member
FDocumentType

Visibility
PRIVATE

Related Class
TKTWSAPI_Document

Description

Title of document

Source code
FTitle , FDocumentType , FVersion , FFileName , FCreatedDate , FCreatedBy , FUpdatedDate , FUpdatedBy , FWorkflow , FWorkflowState , FCheckoutBy , FFullPath : WideString

KTWSAPI
Class Tree
Index
Previous (FDocumentId)
Next (FFileName)


Previous (FDocumentType)
Next (FFullPath)

Member
FFileName

Visibility
PRIVATE

Related Class
TKTWSAPI_Document

Description

Document version

Source code
FTitle , FDocumentType , FVersion , FFileName , FCreatedDate , FCreatedBy , FUpdatedDate , FUpdatedBy , FWorkflow , FWorkflowState , FCheckoutBy , FFullPath : WideString

KTWSAPI
Class Tree
Index
Previous (FDocumentType)
Next (FFullPath)


Previous (FFileName)
Next (FTitle)

Member
FFullPath

Visibility
PRIVATE

Related Class
TKTWSAPI_Document

Description

Name of user who checked out

Source code
FTitle , FDocumentType , FVersion , FFileName , FCreatedDate , FCreatedBy , FUpdatedDate , FUpdatedBy , FWorkflow , FWorkflowState , FCheckoutBy , FFullPath : WideString

KTWSAPI
Class Tree
Index
Previous (FFileName)
Next (FTitle)


Previous (FFullPath)
Next (FUpdatedBy)

Member
FTitle

Visibility
PRIVATE

Related Class
TKTWSAPI_Document

Description

Full path to document

Source code
FTitle , FDocumentType , FVersion , FFileName , FCreatedDate , FCreatedBy , FUpdatedDate , FUpdatedBy , FWorkflow , FWorkflowState , FCheckoutBy , FFullPath : WideString

KTWSAPI
Class Tree
Index
Previous (FFullPath)
Next (FUpdatedBy)


Previous (FTitle)
Next (FUpdatedDate)

Member
FUpdatedBy

Visibility
PRIVATE

Related Class
TKTWSAPI_Document

Description

Date updated

Source code
FTitle , FDocumentType , FVersion , FFileName , FCreatedDate , FCreatedBy , FUpdatedDate , FUpdatedBy , FWorkflow , FWorkflowState , FCheckoutBy , FFullPath : WideString

KTWSAPI
Class Tree
Index
Previous (FTitle)
Next (FUpdatedDate)


Previous (FUpdatedBy)
Next (FVersion)

Member
FUpdatedDate

Visibility
PRIVATE

Related Class
TKTWSAPI_Document

Description

Name of user who created

Source code
FTitle , FDocumentType , FVersion , FFileName , FCreatedDate , FCreatedBy , FUpdatedDate , FUpdatedBy , FWorkflow , FWorkflowState , FCheckoutBy , FFullPath : WideString

KTWSAPI
Class Tree
Index
Previous (FUpdatedBy)
Next (FVersion)


Previous (FUpdatedDate)
Next (FWorkflow)

Member
FVersion

Visibility
PRIVATE

Related Class
TKTWSAPI_Document

Description

Type of document

Source code
FTitle , FDocumentType , FVersion , FFileName , FCreatedDate , FCreatedBy , FUpdatedDate , FUpdatedBy , FWorkflow , FWorkflowState , FCheckoutBy , FFullPath : WideString

KTWSAPI
Class Tree
Index
Previous (FUpdatedDate)
Next (FWorkflow)


Previous (FVersion)
Next (FWorkflowState)

Member
FWorkflow

Visibility
PRIVATE

Related Class
TKTWSAPI_Document

Description

Name of user who updated

Source code
FTitle , FDocumentType , FVersion , FFileName , FCreatedDate , FCreatedBy , FUpdatedDate , FUpdatedBy , FWorkflow , FWorkflowState , FCheckoutBy , FFullPath : WideString

KTWSAPI
Class Tree
Index
Previous (FVersion)
Next (FWorkflowState)


Previous (FWorkflow)
Next

Member
FWorkflowState

Visibility
PRIVATE

Related Class
TKTWSAPI_Document

Description

Workflow

Source code
FTitle , FDocumentType , FVersion , FFileName , FCreatedDate , FCreatedBy , FUpdatedDate , FUpdatedBy , FWorkflow , FWorkflowState , FCheckoutBy , FFullPath : WideString

KTWSAPI
Class Tree
Index
Previous (FWorkflow)
Next


Previous
Next (CreatedBy)

Member
CheckoutBy

Visibility
PUBLIC

Related Class
TKTWSAPI_Document

Description

Workflow state

Source code
property CheckoutBy : WideString read FCheckoutBy write FCheckoutBy

Read Access
FCheckoutBy

Write Access
FCheckoutBy

KTWSAPI
Class Tree
Index
Previous
Next (CreatedBy)


Previous (CheckoutBy)
Next (CreatedDate)

Member
CreatedBy

Visibility
PUBLIC

Related Class
TKTWSAPI_Document

Description

Date created

Source code
property CreatedBy : WideString read FCreatedBy write FCreatedBy

Read Access
FCreatedBy

Write Access
FCreatedBy

KTWSAPI
Class Tree
Index
Previous (CheckoutBy)
Next (CreatedDate)


Previous (CreatedBy)
Next (DocumentId)

Member
CreatedDate

Visibility
PUBLIC

Related Class
TKTWSAPI_Document

Description

Date created

Source code
property CreatedDate : WideString read FCreatedBy write FCreatedBy

Read Access
FCreatedBy

Write Access
FCreatedBy

KTWSAPI
Class Tree
Index
Previous (CreatedBy)
Next (DocumentId)


Previous (CreatedDate)
Next (DocumentType)

Member
DocumentId

Visibility
PUBLIC

Related Class
TKTWSAPI_Document

Description

Id of document

Source code
property DocumentId : Integer read FDocumentId write FDocumentId

Read Access
FDocumentId

Write Access
FDocumentId

KTWSAPI
Class Tree
Index
Previous (CreatedDate)
Next (DocumentType)


Previous (DocumentId)
Next (FileName)

Member
DocumentType

Visibility
PUBLIC

Related Class
TKTWSAPI_Document

Description

Title of document

Source code
property DocumentType : WideString read FDocumentType write FDocumentType

Read Access
FDocumentType

Write Access
FDocumentType

KTWSAPI
Class Tree
Index
Previous (DocumentId)
Next (FileName)


Previous (DocumentType)
Next (FullPath)

Member
FileName

Visibility
PUBLIC

Related Class
TKTWSAPI_Document

Description

Document version

Source code
property FileName : WideString read FFileName write FFileName

Read Access
FFileName

Write Access
FFileName

KTWSAPI
Class Tree
Index
Previous (DocumentType)
Next (FullPath)


Previous (FileName)
Next (Title)

Member
FullPath

Visibility
PUBLIC

Related Class
TKTWSAPI_Document

Description

Name of user who checked out

Source code
property FullPath : WideString read FFullPath write FFullPath

Read Access
FFullPath

Write Access
FFullPath

KTWSAPI
Class Tree
Index
Previous (FileName)
Next (Title)


Previous (FullPath)
Next (UpdatedBy)

Member
Title

Visibility
PUBLIC

Related Class
TKTWSAPI_Document

Description

Full path to document

Source code
property Title : WideString read FTitle write FTitle

Read Access
FTitle

Write Access
FTitle

KTWSAPI
Class Tree
Index
Previous (FullPath)
Next (UpdatedBy)


Previous (Title)
Next (UpdatedDate)

Member
UpdatedBy

Visibility
PUBLIC

Related Class
TKTWSAPI_Document

Description

Date updated

Source code
property UpdatedBy : WideString read FUpdatedBy write FUpdatedBy

Read Access
FUpdatedBy

Write Access
FUpdatedBy

KTWSAPI
Class Tree
Index
Previous (Title)
Next (UpdatedDate)


Previous (UpdatedBy)
Next (Version)

Member
UpdatedDate

Visibility
PUBLIC

Related Class
TKTWSAPI_Document

Description

Name of user who created

Source code
property UpdatedDate : WideString read FUpdatedDate write FUpdatedDate

Read Access
FUpdatedDate

Write Access
FUpdatedDate

KTWSAPI
Class Tree
Index
Previous (UpdatedBy)
Next (Version)


Previous (UpdatedDate)
Next (Workflow)

Member
Version

Visibility
PUBLIC

Related Class
TKTWSAPI_Document

Description

Type of document

Source code
property Version : WideString read FVersion write FVersion

Read Access
FVersion

Write Access
FVersion

KTWSAPI
Class Tree
Index
Previous (UpdatedDate)
Next (Workflow)


Previous (Version)
Next (WorkflowState)

Member
Workflow

Visibility
PUBLIC

Related Class
TKTWSAPI_Document

Description

Name of user who updated

Source code
property Workflow : WideString read FWorkflow write FWorkflow

Read Access
FWorkflow

Write Access
FWorkflow

KTWSAPI
Class Tree
Index
Previous (Version)
Next (WorkflowState)


Previous (Workflow)
Next

Member
WorkflowState

Visibility
PUBLIC

Related Class
TKTWSAPI_Document

Description

Workflow

Source code
property WorkflowState : WideString read FWorkflowState write FWorkflowState

Read Access
FWorkflowState

Write Access
FWorkflowState

KTWSAPI
Class Tree
Index
Previous (Workflow)
Next


Previous
Next (ChangeOwner)

Member
ChangeDocumentType

Visibility
PUBLIC

Related Class
TKTWSAPI_Document

Description

Changes the document type.

Exception
EKTWSAPI_Exception Response message

Source code
function ChangeDocumentType ( DocumentType : WideString ) : Boolean

Parameters
Parameter | Description
DocumentType : WIDESTRING | DocumentType to change to

Return
Types | Description
BOOLEAN | true

KTWSAPI
Class Tree
Index
Previous
Next (ChangeOwner)


Previous (ChangeDocumentType)
Next (Checkin)

Member
ChangeOwner

Visibility
PUBLIC

Related Class
TKTWSAPI_Document

Description

Changes the owner of the document.

Exception
EKTWSAPI_Exception Response message

Source code
function ChangeOwner ( UserName , Reason : WideString ) : Boolean

Parameters
Parameter | Description
Reason : WIDESTRING | Reason for the owner change
UserName : WIDESTRING | Username of new owner

Return
Types | Description
BOOLEAN | true

KTWSAPI
Class Tree
Index
Previous (ChangeDocumentType)
Next (Checkin)


Previous (ChangeOwner)
Next (CheckinBase64)

Member
Checkin

Visibility
PUBLIC

Related Class
TKTWSAPI_Document

Description

Checks in a document.

Exception
EKTWSAPI_Exception Response message

Source code
function Checkin ( FileName , Reason : WideString ; MajorUpdate : Boolean ) : Boolean

Parameters
Parameter | Description
FileName : WIDESTRING | Name of file to checkin
MajorUpdate : BOOLEAN | Checkin as a major update (bumps major version number)
Reason : WIDESTRING | Reason for checkin

Return
Types | Description
BOOLEAN | true

KTWSAPI
Class Tree
Index
Previous (ChangeOwner)
Next (CheckinBase64)


Previous (Checkin)
Next (Checkout)

Member
CheckinBase64

Visibility
PUBLIC

Related Class
TKTWSAPI_Document

Description

Checks in a document and uploads through webservice

Exception
EKTWSAPI_Exception Response message

Source code
function CheckinBase64 ( FileName , Reason : WideString ; MajorUpdate : Boolean ) : Boolean

Parameters
Parameter | Description
FileName : WIDESTRING | Name of file to checkin
MajorUpdate : BOOLEAN | Checkin as a major update (bumps major version number)
Reason : WIDESTRING | Reason for checkin

Return
Types | Description
BOOLEAN | true

KTWSAPI
Class Tree
Index
Previous (Checkin)
Next (Checkout)


Previous (CheckinBase64)
Next (CheckoutBase64)

Member
Checkout

Visibility
PUBLIC

Related Class
TKTWSAPI_Document

Description

Checks out a document.

Exception
EKTWSAPI_Exception local path does not exist
EKTWSAPI_Exception Response message

Source code
function Checkout ( Reason : WideString ; LocalPath : WideString = '' ; DownloadFile : Boolean = True ) : Boolean

Parameters
Parameter | Description
DownloadFile : BOOLEAN | if false then checkout will happen without download
LocalPath : WIDESTRING | to save downloaded file to
Reason : WIDESTRING | Reason for checkout

Return
Types | Description
BOOLEAN | true

KTWSAPI
Class Tree
Index
Previous (CheckinBase64)
Next (CheckoutBase64)


Previous (Checkout)
Next (Copy)

Member
CheckoutBase64

Visibility
PUBLIC

Related Class
TKTWSAPI_Document

Description

Checks out a document and downloads document through webservice

Exception
EKTWSAPI_Exception local path does not exist
EKTWSAPI_Exception Response message

Source code
function CheckoutBase64 ( Reason : WideString ; LocalPath : WideString = '' ; DownloadFile : Boolean = True ) : Boolean

Parameters
Parameter | Description
DownloadFile : BOOLEAN |
LocalPath : WIDESTRING | to save downloaded file to
Reason : WIDESTRING | Reason for checkout

Return
Types | Description
BOOLEAN | true

KTWSAPI
Class Tree
Index
Previous (Checkout)
Next (Copy)


Previous (CheckoutBase64)
Next (Create)

Member
Copy

Visibility
PUBLIC

Related Class
TKTWSAPI_Document

Description

Copies the current document to the specified folder.

Exception
EKTWSAPI_Exception Response message

Source code
function Copy ( Folder : TKTWSAPI_Folder ; Reason : WideString ; NewTitle : WideString = '' ; NewFileName : WideString = '' ) : Boolean

Parameters
Parameter | Description
Folder : TKTWSAPI_Folder | Handle to target folder
NewFileName : WIDESTRING | New filename of the file
NewTitle : WIDESTRING | New title of the file
Reason : WIDESTRING | Reason for copy

Return
Types | Description
BOOLEAN | true

KTWSAPI
Class Tree
Index
Previous (CheckoutBase64)
Next (Create)


Previous (Copy)
Next (Delete)

Member
Create

Visibility
PUBLIC

Related Class
TKTWSAPI_Document

Description

Constructor

Source code
constructor Create ( KTAPI : TKTWSAPI ; DocumentDetail : kt_document_detail )

Parameters
Parameter | Description
DocumentDetail : kt_document_detail | handle to kt_document_detail
KTAPI : TKTWSAPI | Handle to KTAPI object

KTWSAPI
Class Tree
Index
Previous (Copy)
Next (Delete)


Previous (Create)
Next (DeleteWorkflow)

Member
Delete

Visibility
PUBLIC

Related Class
TKTWSAPI_Document

Description

Deletes the current document.

Exception
EKTWSAPI_Exception Response message

Source code
function Delete ( Reason : WideString ) : Boolean

Parameters
Parameter | Description
Reason : WIDESTRING | Reason for delete

Return
Types | Description
BOOLEAN | true

KTWSAPI
Class Tree
Index
Previous (Create)
Next (DeleteWorkflow)


Previous (Delete)
Next (Download)

Member
DeleteWorkflow

Visibility
PUBLIC

Related Class
TKTWSAPI_Document

Description

Removes the workflow process from the current document.

Exception
EKTWSAPI_Exception Response message

Source code
function DeleteWorkflow : Boolean

Parameters
Parameter Description

Return
Types | Description
BOOLEAN | true

KTWSAPI
Class Tree
Index
Previous (Delete)
Next (Download)


Previous (DeleteWorkflow)
Next (DownloadBase64)

Member
Download

Visibility
PUBLIC

Related Class
TKTWSAPI_Document

Description

Download a version of the document

Exception
EKTWSAPI_Exception local path does not exist
EKTWSAPI_Exception Response message

Source code
function Download ( Version : WideString = '' ; LocalPath : WideString = '' ; FileName : WideString = '' ) : Boolean

Parameters
Parameter | Description
FileName : WIDESTRING | Optional filename to save file as
LocalPath : WIDESTRING | Optional path to save file to
Version : WIDESTRING | Which version of document to download

Return
Types | Description
BOOLEAN | true

KTWSAPI
Class Tree
Index
Previous (DeleteWorkflow)
Next (DownloadBase64)


Previous (Download)
Next (Get)

Member
DownloadBase64

Visibility
PUBLIC

Related Class
TKTWSAPI_Document

Description

Download a version of the document through webservice

Exception
EKTWSAPI_Exception Response message

Source code
function DownloadBase64 ( Version : WideString = '' ; LocalPath : WideString = '' ) : Boolean

Parameters
Parameter | Description
LocalPath : WIDESTRING | Path to save file to
Version : WIDESTRING | Which version of document to download

Return
Types | Description
BOOLEAN | true

KTWSAPI
Class Tree
Index
Previous (Download)
Next (Get)


Previous (DownloadBase64)
Next (GetLinks)

Member
Get

Visibility
PUBLIC

Related Class
TKTWSAPI_Document

Description

Returns a reference to a document.

Exception
EKTWSAPI_Exception Response message

Source code
class function Get ( KTAPI : TKTWSAPI ; DocumentId : Integer ; LoadInfo : Boolean = System . True ) : TKTWSAPI_Document

Parameters
Parameter | Description
DocumentId : INTEGER | Id of document
KTAPI : TKTWSAPI | Handle to KTAPI object
LoadInfo : BOOLEAN | Call web service to load document details

Return
Types | Description
TKTWSAPI_Document | handle to document

KTWSAPI
Class Tree
Index
Previous (DownloadBase64)
Next (GetLinks)


Previous (Get)
Next (GetLinkTypes)

Member
GetLinks

Visibility
PUBLIC

Related Class
TKTWSAPI_Document

Description

Returns the links of the current document

Exception
EKTWSAPI_Exception Response message

Source code
function GetLinks : kt_linked_document_response

Parameters
Parameter Description

Return
Types | Description
kt_linked_document_response | handle to document version history

KTWSAPI
Class Tree
Index
Previous (Get)
Next (GetLinkTypes)


Previous (GetLinks)
Next (GetMetadata)

Member
GetLinkTypes

Visibility
PUBLIC

Related Class
TKTWSAPI_Document

Description

Get list of document link types

Exception
EKTWSAPI_Exception Response message

Source code
function GetLinkTypes : kt_document_types_response

Parameters
Parameter Description

Return
Types | Description
kt_document_types_response | handle to document types response

KTWSAPI
Class Tree
Index
Previous (GetLinks)
Next (GetMetadata)


Previous (GetLinkTypes)
Next (GetTransactionHistory)

Member
GetMetadata

Visibility
PUBLIC

Related Class
TKTWSAPI_Document

Description

Returns metadata on the document.

Exception
EKTWSAPI_Exception Response message

Source code
function GetMetadata : kt_metadata_response

Parameters
Parameter Description

Return
Types | Description
kt_metadata_response | handle to metadata

KTWSAPI
Class Tree
Index
Previous (GetLinkTypes)
Next (GetTransactionHistory)


Previous (GetMetadata)
Next (GetTypes)

Member
GetTransactionHistory

Visibility
PUBLIC

Related Class
TKTWSAPI_Document

Description

Returns the transaction history on the current document.

Exception
EKTWSAPI_Exception Response message

Source code
function GetTransactionHistory : kt_document_transaction_history_response

Parameters
Parameter Description

Return
Types | Description
kt_document_transaction_history_response | handle to transaction history

KTWSAPI
Class Tree
Index
Previous (GetMetadata)
Next (GetTypes)


Previous (GetTransactionHistory)
Next (GetVersionHistory)

Member
GetTypes

Visibility
PUBLIC

Related Class
TKTWSAPI_Document

Description

Gets list of document types

Exception
EKTWSAPI_Exception Response message

Source code
function GetTypes : kt_document_types_response

Parameters
Parameter Description

Return
Types | Description
kt_document_types_response | handle to document types response

KTWSAPI
Class Tree
Index
Previous (GetTransactionHistory)
Next (GetVersionHistory)


Previous (GetTypes)
Next (Link)

Member
GetVersionHistory

Visibility
PUBLIC

Related Class
TKTWSAPI_Document

Description

Returns the version history on the current document.

Exception
EKTWSAPI_Exception Response message

Source code
function GetVersionHistory : kt_document_version_history_response

Parameters
Parameter Description

Return
Types | Description
kt_document_version_history_response | handle to document version history

KTWSAPI
Class Tree
Index
Previous (GetTypes)
Next (Link)


Previous (GetVersionHistory)
Next (Move)

Member
Link

Visibility
PUBLIC

Related Class
TKTWSAPI_Document

Description

Links the current document to a DocumentId

Exception
EKTWSAPI_Exception Response message

Source code
function Link ( DocumentId : Integer ; const LinkType : WideString ) : Boolean

Parameters
Parameter | Description
DocumentId : INTEGER | DocumentId to link to
LinkType : WIDESTRING | Type of link

Return
Types | Description
BOOLEAN | true

KTWSAPI
Class Tree
Index
Previous (GetVersionHistory)
Next (Move)


Previous (Link)
Next (PeformWorkflowTransition)

Member
Move

Visibility
PUBLIC

Related Class
TKTWSAPI_Document

Description

Moves the current document to the specified folder.

Exception
EKTWSAPI_Exception Response message

Source code
function Move ( Folder : TKTWSAPI_Folder ; Reason : WideString ; NewTitle : WideString = '' ; NewFileName : WideString = '' ) : Boolean

Parameters
Parameter | Description
Folder : TKTWSAPI_Folder | Handle to target folder
NewFileName : WIDESTRING | New filename of the file
NewTitle : WIDESTRING | New title of the file
Reason : WIDESTRING | Reason for move

Return
Types | Description
BOOLEAN | true

KTWSAPI
Class Tree
Index
Previous (Link)
Next (PeformWorkflowTransition)


Previous (Move)
Next (RenameFilename)

Member
PeformWorkflowTransition

Visibility
PUBLIC

Related Class
TKTWSAPI_Document

Description

Performs a transition on the current document.

Exception
EKTWSAPI_Exception Response message

Source code
function PeformWorkflowTransition ( Transition , Reason : WideString ) : Boolean

Parameters
Parameter | Description
Reason : WIDESTRING | Reason for transition
Transition : WIDESTRING | Transition

Return
Types | Description
BOOLEAN | true

KTWSAPI
Class Tree
Index
Previous (Move)
Next (RenameFilename)


Previous (PeformWorkflowTransition)
Next (RenameTitle)

Member
RenameFilename

Visibility
PUBLIC

Related Class
TKTWSAPI_Document

Description

Renames the filename of the current document.

Source code
function RenameFilename ( NewFilename : WideString ) : Boolean

Parameters
Parameter | Description
NewFilename : WIDESTRING | New filename of the document

Return
Types | Description
BOOLEAN | true

KTWSAPI
Class Tree
Index
Previous (PeformWorkflowTransition)
Next (RenameTitle)


Previous (RenameFilename)
Next (StartWorkflow)

Member
RenameTitle

Visibility
PUBLIC

Related Class
TKTWSAPI_Document

Description

Renames the title of the current document.

Exception
EKTWSAPI_Exception Response message

Source code
function RenameTitle ( NewTitle : WideString ) : Boolean

Parameters
Parameter | Description
NewTitle : WIDESTRING | New title of the document

Return
Types | Description
BOOLEAN | true

KTWSAPI
Class Tree
Index
Previous (RenameFilename)
Next (StartWorkflow)


Previous (RenameTitle)
Next (UndoCheckout)

Member
StartWorkflow

Visibility
PUBLIC

Related Class
TKTWSAPI_Document

Description

Starts a workflow on the current document.

Exception
EKTWSAPI_Exception Response message

Source code
function StartWorkflow ( WorkFlow : WideString ) : Boolean

Parameters
Parameter | Description
WorkFlow : WIDESTRING | Workflow

Return
Types | Description
BOOLEAN | true

KTWSAPI
Class Tree
Index
Previous (RenameTitle)
Next (UndoCheckout)


Previous (StartWorkflow)
Next (Unlink)

Member
UndoCheckout

Visibility
PUBLIC

Related Class
TKTWSAPI_Document

Description

Undo a document checkout

Exception
EKTWSAPI_Exception Response message

Source code
function UndoCheckout ( Reason : WideString ) : Boolean

Parameters
Parameter | Description
Reason : WIDESTRING | Reason for undoing the checkout

Return
Types | Description
BOOLEAN | true

KTWSAPI
Class Tree
Index
Previous (StartWorkflow)
Next (Unlink)


Previous (UndoCheckout)
Next (UpdateMetadata)

Member
Unlink

Visibility
PUBLIC

Related Class
TKTWSAPI_Document

Description

Unlinks the current document from a DocumentId

Exception
EKTWSAPI_Exception Response message

Source code
function Unlink ( DocumentId : Integer ) : Boolean

Parameters
Parameter | Description
DocumentId : INTEGER | DocumentId to unlink to

Return
Types | Description
BOOLEAN | true

KTWSAPI
Class Tree
Index
Previous (UndoCheckout)
Next (UpdateMetadata)


Previous (Unlink)
Next

Member
UpdateMetadata

Visibility
PUBLIC

Related Class
TKTWSAPI_Document

Description

Updates the metadata on the current document.

Exception
EKTWSAPI_Exception Response message

Source code
function UpdateMetadata ( Metadata : kt_metadata_fieldsets ) : Boolean

Parameters
Parameter | Description
Metadata : kt_metadata_fieldsets | Handle to metadata

Return
Types | Description
BOOLEAN | true

KTWSAPI
Class Tree
Index
Previous (Unlink)
Next


Previous (TKTWSAPI_Document)
Next (TKTWSAPI_FolderItem)

Class
TKTWSAPI_Folder

Class Hierarchy
TKTWSAPI_FolderItem

Parent
uKtwsapi

Description

Class representing a folder

Members
Fields
Field | Description
FFolderId (-) | Id to folder
FFolderName (-) | Full path to folder
FFullPath (-) | Name of folder

Methods
Method | Description
AddDocument (+) | Adds a document to the current folder.
AddDocumentBase64 (+) | Adds a document to the current folder through web service.
AddFolder (+) | Adds a sub folder.
Copy (+) | Copies a folder to another location
Create (+) | Constructor
Delete (+) | Deletes the current folder.
Get (+) | Returns a reference to a TKTWSAPI_Folder
GetDocumentByFileName (+) | Returns a document based on filename.
GetDocumentByName (+) | Returns a document based on title.
GetFolderByName (+) | Returns the folder based on foldername.
GetFolderId (+) | Returns the current folder id.
GetFolderName (+) | Returns the folder name.
GetFullPath (+) | Returns the full folder path.
GetListing (+) | Returns the contents of a folder.
GetParentFolderId (+) | Returns the parent folder id.
Move (+) | Moves a folder to another location.
Rename (+) | Renames the current folder.

Properties
Property | Description
FolderId (*) | Id to folder
FolderName (*) | Full path to folder
FullPath (*) | Name of folder

Legend
Symbol | Visibility
- | Private
# | Protected
+ | Public
* | Published
A | Automated
S | Strict

KTWSAPI
Class Tree
Index
Previous (TKTWSAPI_Document)
Next (TKTWSAPI_FolderItem)


Previous
Next (FFolderName)

Member
FFolderId

Visibility
PRIVATE

Related Class
TKTWSAPI_Folder

Description

Id to folder

Source code
FFolderId : Integer

KTWSAPI
Class Tree
Index
Previous
Next (FFolderName)


Previous (FFolderId)
Next (FFullPath)

Member
FFolderName

Visibility
PRIVATE

Related Class
TKTWSAPI_Folder

Description

Full path to folder

Source code
FFolderName , FFullPath : WideString

KTWSAPI
Class Tree
Index
Previous (FFolderId)
Next (FFullPath)


Previous (FFolderName)
Next

Member
FFullPath

Visibility
PRIVATE

Related Class
TKTWSAPI_Folder

Description

Name of folder

Source code
FFolderName , FFullPath : WideString

KTWSAPI
Class Tree
Index
Previous (FFolderName)
Next


Previous
Next (FolderName)

Member
FolderId

Visibility
PUBLISHED

Related Class
TKTWSAPI_Folder

Description

Id to folder

Source code
property FolderId : Integer read FFolderId write FFolderId

Read Access
FFolderId

Write Access
FFolderId

KTWSAPI
Class Tree
Index
Previous
Next (FolderName)


Previous (FolderId)
Next (FullPath)

Member
FolderName

Visibility
PUBLISHED

Related Class
TKTWSAPI_Folder

Description

Full path to folder

Source code
property FolderName : WideString read FFolderName write FFolderName

Read Access
FFolderName

Write Access
FFolderName

KTWSAPI
Class Tree
Index
Previous (FolderId)
Next (FullPath)


Previous (FolderName)
Next

Member
FullPath

Visibility
PUBLISHED

Related Class
TKTWSAPI_Folder

Description

Name of folder

Source code
property FullPath : WideString read FFullPath write FFullPath

Read Access
FFullPath

Write Access
FFullPath

KTWSAPI
Class Tree
Index
Previous (FolderName)
Next


Previous
Next (AddDocumentBase64)

Member
AddDocument

Visibility
PUBLIC

Related Class
TKTWSAPI_Folder

Description

Adds a document to the current folder.

Exception
EKTWSAPI_Exception Response message

Source code
function AddDocument ( FileName : WideString ; Title : WideString = '' ; DocumentType : WideString = '' ) : TKTWSAPI_Document

Parameters
Parameter | Description
DocumentType : WIDESTRING | Documenttype of document (Default is 'Default')
FileName : WIDESTRING | FileName to upload
Title : WIDESTRING | Title to give document

Return
Types | Description
TKTWSAPI_Document | handle to new document

KTWSAPI
Class Tree
Index
Previous
Next (AddDocumentBase64)


Previous (AddDocument)
Next (AddFolder)

Member
AddDocumentBase64

Visibility
PUBLIC

Related Class
TKTWSAPI_Folder

Description

Adds a document to the current folder through web service.

Exception
EKTWSAPI_Exception Response message

Source code
function AddDocumentBase64 ( FileName : WideString ; Title : WideString = '' ; DocumentType : WideString = '' ) : TKTWSAPI_Document

Parameters
Parameter | Description
DocumentType : WIDESTRING | Documenttype of document (Default is 'Default')
FileName : WIDESTRING | FileName to upload
Title : WIDESTRING | Title to give document

Return
Types | Description
TKTWSAPI_Document | handle to new document

KTWSAPI
Class Tree
Index
Previous (AddDocument)
Next (AddFolder)


Previous (AddDocumentBase64)
Next (Copy)

Member
AddFolder

Visibility
PUBLIC

Related Class
TKTWSAPI_Folder

Description

Adds a sub folder.

Exception
EKTWSAPI_Exception Response message

Source code
function AddFolder ( FolderName : WideString ) : TKTWSAPI_Folder

Parameters
Parameter | Description
FolderName : WIDESTRING | Name of folder

Return
Types | Description
TKTWSAPI_Folder | new folder handle

KTWSAPI
Class Tree
Index
Previous (AddDocumentBase64)
Next (Copy)


Previous (AddFolder)
Next (Create)

Member
Copy

Visibility
PUBLIC

Related Class
TKTWSAPI_Folder

Description

Copies a folder to another location

Exception
EKTWSAPI_Exception Response message

Source code
function Copy ( TargetFolder : TKTWSAPI_Folder ; Reason : WideString ) : Boolean

Parameters
Parameter | Description
Reason : WIDESTRING | Reason for copy
TargetFolder : TKTWSAPI_Folder | Handle to target folder

Return
Types | Description
BOOLEAN | true

KTWSAPI
Class Tree
Index
Previous (AddFolder)
Next (Create)


Previous (Copy)
Next (Delete)

Member
Create

Visibility
PUBLIC

Related Class
TKTWSAPI_Folder

Description

Constructor

Source code
constructor Create ( KTAPI : TKTWSAPI ; FolderDetail : kt_folder_detail ) ; overload

Parameters
Parameter | Description
FolderDetail : kt_folder_detail | Handle to kt_folder_detail
KTAPI : TKTWSAPI | Handle to KTAPI object

KTWSAPI
Class Tree
Index
Previous (Copy)
Next (Delete)


Previous (Create)
Next (Get)

Member
Delete

Visibility
PUBLIC

Related Class
TKTWSAPI_Folder

Description

Deletes the current folder.

Exception
EKTWSAPI_Exception Response message

Source code
function Delete ( Reason : WideString ) : Boolean

Parameters
Parameter | Description
Reason : WIDESTRING | Reason for deletetion

Return
Types | Description
BOOLEAN | true

KTWSAPI
Class Tree
Index
Previous (Create)
Next (Get)


Previous (Delete)
Next (GetDocumentByFileName)

Member
Get

Visibility
PUBLIC

Related Class
TKTWSAPI_Folder

Description

Returns a reference to a TKTWSAPI_Folder

Exception
EKTWSAPI_Exception Response message

Source code
class function Get ( KTAPI : TKTWSAPI ; FolderId : Integer ) : TKTWSAPI_Folder

Parameters
Parameter | Description
FolderId : INTEGER | Id of folder to fetch
KTAPI : TKTWSAPI | Handle to KTAPI object

Return
Types | Description
TKTWSAPI_Folder | folder handle

KTWSAPI
Class Tree
Index
Previous (Delete)
Next (GetDocumentByFileName)


Previous (Get)
Next (GetDocumentByName)

Member
GetDocumentByFileName

Visibility
PUBLIC

Related Class
TKTWSAPI_Folder

Description

Returns a document based on filename.

Exception
EKTWSAPI_Exception Response message

Source code
function GetDocumentByFileName ( FileName : WideString ) : TKTWSAPI_Document

Parameters
Parameter | Description
FileName : WIDESTRING | Name of file

Return
Types | Description
TKTWSAPI_Document | document handle

KTWSAPI
Class Tree
Index
Previous (Get)
Next (GetDocumentByName)


Previous (GetDocumentByFileName)
Next (GetFolderByName)

Member
GetDocumentByName

Visibility
PUBLIC

Related Class
TKTWSAPI_Folder

Description

Returns a document based on title.

Exception
EKTWSAPI_Exception Response message

Source code
function GetDocumentByName ( Title : WideString ) : TKTWSAPI_Document

Parameters
Parameter | Description
Title : WIDESTRING | Title of document

Return
Types | Description
TKTWSAPI_Document | document handle

KTWSAPI
Class Tree
Index
Previous (GetDocumentByFileName)
Next (GetFolderByName)


Previous (GetDocumentByName)
Next (GetFolderId)

Member
GetFolderByName

Visibility
PUBLIC

Related Class
TKTWSAPI_Folder

Description

Returns the folder based on foldername.

Exception
EKTWSAPI_Exception Response message

Source code
function GetFolderByName ( FolderName : WideString ) : TKTWSAPI_Folder

Parameters
Parameter | Description
FolderName : WIDESTRING | Name of folder

Return
Types | Description
TKTWSAPI_Folder | folder handle

KTWSAPI
Class Tree
Index
Previous (GetDocumentByName)
Next (GetFolderId)


Previous (GetFolderByName)
Next (GetFolderName)

Member
GetFolderId

Visibility
PUBLIC

Related Class
TKTWSAPI_Folder

Description

Returns the current folder id.

Source code
function GetFolderId : Integer

Parameters
Parameter Description

Return
Types | Description
INTEGER | current folder id

KTWSAPI
Class Tree
Index
Previous (GetFolderByName)
Next (GetFolderName)


Previous (GetFolderId)
Next (GetFullPath)

Member
GetFolderName

Visibility
PUBLIC

Related Class
TKTWSAPI_Folder

Description

Returns the folder name.

Source code
function GetFolderName : WideString

Parameters
Parameter Description

Return
Types | Description
WIDESTRING | folder name

KTWSAPI
Class Tree
Index
Previous (GetFolderId)
Next (GetFullPath)


Previous (GetFolderName)
Next (GetListing)

Member
GetFullPath

Visibility
PUBLIC

Related Class
TKTWSAPI_Folder

Description

Returns the full folder path.

Source code
function GetFullPath : WideString

Parameters
Parameter Description

Return
Types | Description
WIDESTRING | Full folder path

KTWSAPI
Class Tree
Index
Previous (GetFolderName)
Next (GetListing)


Previous (GetFullPath)
Next (GetParentFolderId)

Member
GetListing

Visibility
PUBLIC

Related Class
TKTWSAPI_Folder

Description

Returns the contents of a folder.

Exception
EKTWSAPI_Exception Response message

Source code
function GetListing ( Depth : Integer = 1 ; What : WideString = 'DF' ) : kt_folder_contents

Parameters
Parameter | Description
Depth : INTEGER | How many sub-folders to fetch
What : WIDESTRING | to fetch (F=Folders, D=Documents, FD=Both)

Return
Types | Description
kt_folder_contents | folder contents handle

KTWSAPI
Class Tree
Index
Previous (GetFullPath)
Next (GetParentFolderId)


Previous (GetListing)
Next (Move)

Member
GetParentFolderId

Visibility
PUBLIC

Related Class
TKTWSAPI_Folder

Description

Returns the parent folder id.

Source code
function GetParentFolderId : Integer

Parameters
Parameter Description

Return
Types | Description
INTEGER | parent folder id

KTWSAPI
Class Tree
Index
Previous (GetListing)
Next (Move)


Previous (GetParentFolderId)
Next (Rename)

Member
Move

Visibility
PUBLIC

Related Class
TKTWSAPI_Folder

Description

Moves a folder to another location.

Exception
EKTWSAPI_Exception Response message

Source code
function Move ( TargetFolder : TKTWSAPI_Folder ; Reason : WideString ) : Boolean

Parameters
Parameter | Description
Reason : WIDESTRING | Reason for move
TargetFolder : TKTWSAPI_Folder | Handle to target folder

Return
Types | Description
BOOLEAN | true

KTWSAPI
Class Tree
Index
Previous (GetParentFolderId)
Next (Rename)


Previous (Move)
Next

Member
Rename

Visibility
PUBLIC

Related Class
TKTWSAPI_Folder

Description

Renames the current folder.

Exception
EKTWSAPI_Exception Response message

Source code
function Rename ( NewName : WideString ) : Boolean

Parameters
Parameter | Description
NewName : WIDESTRING | New folder name

Return
Types | Description
BOOLEAN | true

KTWSAPI
Class Tree
Index
Previous (Move)
Next


Previous (TKTWSAPI_Folder)
Next

Class
TKTWSAPI_FolderItem

Class Hierarchy
TObject

Parent
uKtwsapi

Description

Base class for documents and folders

Members
Fields
Field | Description
FKTAPI (-) | Handle to KTAPI object
FParentId (-) | Id of parent folder

Methods
Method | Description
GetParentFolder (+) | Returns a reference to the parent folder.
_DownloadFile (-) | Downloads a file from KT.
_GetFileSize (-) | Finds the filesize of a file.
_LoadFileAsBase64String (-) | Reads a file into a string and base64 encodes it.
_SaveBase64StringAsFile (-) | Save a Base64 encoded string as a file.
_UploadFile (-) | Upload a file to KT.

Legend
Symbol | Visibility
- | Private
# | Protected
+ | Public
* | Published
A | Automated
S | Strict

KTWSAPI
Class Tree
Index
Previous (TKTWSAPI_Folder)
Next


Previous
Next (FParentId)

Member
FKTAPI

Visibility
PRIVATE

Related Class
TKTWSAPI_FolderItem

Description

Handle to KTAPI object

Source code
FKTAPI : TKTWSAPI

KTWSAPI
Class Tree
Index
Previous
Next (FParentId)


Previous (FKTAPI)
Next

Member
FParentId

Visibility
PRIVATE

Related Class
TKTWSAPI_FolderItem

Description

Id of parent folder

Source code
FParentId : Integer

KTWSAPI
Class Tree
Index
Previous (FKTAPI)
Next


Previous
Next (_DownloadFile)

Member
GetParentFolder

Visibility
PUBLIC

Related Class
TKTWSAPI_FolderItem

Description

Returns a reference to the parent folder.

Source code
function GetParentFolder : TKTWSAPI_Folder

Parameters
Parameter Description

Return
Types | Description
TKTWSAPI_Folder | Handle to parent folder

KTWSAPI
Class Tree
Index
Previous
Next (_DownloadFile)


Previous (GetParentFolder)
Next (_GetFileSize)

Member
_DownloadFile

Visibility
PRIVATE

Related Class
TKTWSAPI_FolderItem

Description

Downloads a file from KT.

Exception
EKTWSAPI_Exception Could not create local file

Source code
function _DownloadFile ( Url , LocalPath , FileName : WideString ) : Boolean

Parameters
Parameter | Description
FileName : WIDESTRING | FileName to save as
LocalPath : WIDESTRING | Path to save to
Url : WIDESTRING | Http-url to download

Return
Types | Description
BOOLEAN | true if success

KTWSAPI
Class Tree
Index
Previous (GetParentFolder)
Next (_GetFileSize)


Previous (_DownloadFile)
Next (_LoadFileAsBase64String)

Member
_GetFileSize

Visibility
PRIVATE

Related Class
TKTWSAPI_FolderItem

Description

Finds the filesize of a file.

Source code
function _GetFileSize ( FileName : WideString ) : WideString

Parameters
Parameter | Description
FileName : WIDESTRING | Path to the file

Return
Types | Description
WIDESTRING | The size of the file as a string

KTWSAPI
Class Tree
Index
Previous (_DownloadFile)
Next (_LoadFileAsBase64String)


Previous (_GetFileSize)
Next (_SaveBase64StringAsFile)

Member
_LoadFileAsBase64String

Visibility
PRIVATE

Related Class
TKTWSAPI_FolderItem

Description

Reads a file into a string and base64 encodes it.

Exception
EKTWSAPI_Exception 'Could not access file to read.'

Source code
function _LoadFileAsBase64String ( FileName : WideString ) : WideString

Parameters
Parameter | Description
FileName : WIDESTRING | FileName to read

Return
Types | Description
WIDESTRING | base64 encoded string

KTWSAPI
Class Tree
Index
Previous (_GetFileSize)
Next (_SaveBase64StringAsFile)


Previous (_LoadFileAsBase64String)
Next (_UploadFile)

Member
_SaveBase64StringAsFile

Visibility
PRIVATE

Related Class
TKTWSAPI_FolderItem

Description

Save a Base64 encoded string as a file.

Source code
function _SaveBase64StringAsFile ( Base64String , LocalPath , FileName : WideString ) : Boolean

Parameters
Parameter | Description
Base64String : WIDESTRING | Base64 encoded string
FileName : WIDESTRING | FileName to save as
LocalPath : WIDESTRING | Path to save to

Return
Types | Description
BOOLEAN | true if success

KTWSAPI
Class Tree
Index
Previous (_LoadFileAsBase64String)
Next (_UploadFile)


Previous (_SaveBase64StringAsFile)
Next

Member
_UploadFile

Visibility
PRIVATE

Related Class
TKTWSAPI_FolderItem

Description

Upload a file to KT.

Exception
EKTWSAPI_Exception Could not access file to upload.
EKTWSAPI_Exception No response from server.
EKTWSAPI_Exception Could not upload file.

Source code
function _UploadFile ( FileName , Action : WideString ; DocumentId : Integer = 0 ) : WideString

Parameters
Parameter | Description
Action : WIDESTRING | Which action to perform with the file (A = Add, C = Checkin)
DocumentId : INTEGER | Id of the document
FileName : WIDESTRING | Path to upload file

Return
Types | Description
WIDESTRING | The temporary filename on the server

KTWSAPI
Class Tree
Index
Previous (_SaveBase64StringAsFile)
Next


Previous
Next (KTWSAPI_ERR_SESSION_NOT_STARTED)

Member
KTWSAPI_ERR_SESSION_IN_USE

Parent
uKtwsapi

Description

Exception message when session is in use

Source code
KTWSAPI_ERR_SESSION_IN_USE = 'There is a session already active.'

KTWSAPI
Class Tree
Index
Previous
Next (KTWSAPI_ERR_SESSION_NOT_STARTED)


Previous (KTWSAPI_ERR_SESSION_IN_USE)
Next

Member
KTWSAPI_ERR_SESSION_NOT_STARTED

Parent
uKtwsapi

Description

Exception message when session is not started

Source code
KTWSAPI_ERR_SESSION_NOT_STARTED = 'An active session has not been started.'

KTWSAPI
Class Tree
Index
Previous (KTWSAPI_ERR_SESSION_IN_USE)
Next


Previous
Next (KTWebServerUrl)

Member
KTUploadUrl

Parent
uKtwsapi

Description

URL to the web-service upload.php

Source code
KTUploadUrl : WideString

KTWSAPI
Class Tree
Index
Previous
Next (KTWebServerUrl)


Previous (KTUploadUrl)
Next (KTWebServiceUrl)

Member
KTWebServerUrl

Parent
uKtwsapi

Description

Your webserver url

Source code
KTWebServerUrl : WideString

KTWSAPI
Class Tree
Index
Previous (KTUploadUrl)
Next (KTWebServiceUrl)


Previous (KTWebServerUrl)
Next

Member
KTWebServiceUrl

Parent
uKtwsapi

Description

URL to the web-service wsdl

Source code
KTWebServiceUrl : WideString

KTWSAPI
Class Tree
Index
Previous (KTWebServerUrl)
Next


Previous (uKtwsapi)
Next (uWebservice)

Unit
uPHPSerialize

Description
A helper unit to unserialize a php serialized string
Inspired by the various implementaions presented here
http://www.phpguru.org/static/PHP_Unserialize.html

Todo
A complementary serializing function would be nice

Author

Bjarte Kalstveit Vebjørnsen

Version

1.0 BKV 24.09.2007 Initial revision

Classes
Class | Description
TPHPArray | Tries to replicate a php array by accessing values through strings
TPHPHashElement | a single hash element
TPHPSerialize | Class for unserializing a php serialized string
TPHPValue | Tries to represent a PHP value of any type

Types
Type | Description
TPHPHashedElementArray | an array of hash elements

KTWSAPI
Class Tree
Index
Previous (uKtwsapi)
Next (uWebservice)


Previous
Next (TPHPHashElement)

Class
TPHPArray

Class Hierarchy
TObject

Parent
uPHPSerialize

Description

Tries to replicate a php array by accessing values through strings
@Todo: Add support for numeric keys

Members
Fields
Field | Description
FElements (-) | array of hash elements

Methods
Method | Description
Clear (+) | Clears whole array
Create (+) | Constructor
Destroy (+) | Destructor
GetCount (-) | Returns the number of items in the array
Getempty (-) | Checks if the array is empty
GetValue (-) | Fetch a phpvalue from the array
GetValue (-) | Fetch a phpvalue from the array
SetValue (-) | Insert a phpvalue into the array

Properties
Property | Description
Count (+) | Returns the number of items in the array
Empty (+) | Checks if the array is empty
Value (+) | Fetch a phpvalue from the array
Value (+) | Fetch a phpvalue from the array

Legend
Symbol | Visibility
- | Private
# | Protected
+ | Public
* | Published
A | Automated
S | Strict

KTWSAPI
Class Tree
Index
Previous
Next (TPHPHashElement)


Previous
Next

Member
FElements

Visibility
PRIVATE

Related Class
TPHPArray

Description

array of hash elements

Source code
FElements : TPHPHashedElementArray

KTWSAPI
Class Tree
Index
Previous
Next


Previous
Next (Empty)

Member
Count

Visibility
PUBLIC

Related Class
TPHPArray

Description

Returns the number of items in the array

Source code
property Count : Integer read GetCount

Read Access
GetCount

KTWSAPI
Class Tree
Index
Previous
Next (Empty)


Previous (Count)
Next (Value)

Member
Empty

Visibility
PUBLIC

Related Class
TPHPArray

Description

Checks if the array is empty

Source code
property Empty : Boolean read Getempty

Read Access
Getempty

KTWSAPI
Class Tree
Index
Previous (Count)
Next (Value)


Previous (Value)
Next

Member
Value

Visibility
PUBLIC

Related Class
TPHPArray

Description

Fetch a phpvalue from the array

Source code
property Value [ Key : TPHPValue ] : TPHPValue read GetValue write SetValue ; default

Read Access
GetValue

Write Access
SetValue

KTWSAPI
Class Tree
Index
Previous (Value)
Next


Previous
Next (Create)

Member
Clear

Visibility
PUBLIC

Related Class
TPHPArray

Description

Clears whole array

Source code
procedure Clear

Parameters
Parameter Description

KTWSAPI
Class Tree
Index
Previous
Next (Create)


Previous (Clear)
Next (Destroy)

Member
Create

Visibility
PUBLIC

Related Class
TPHPArray

Description

Constructor

Source code
constructor Create

Parameters
Parameter Description

KTWSAPI
Class Tree
Index
Previous (Clear)
Next (Destroy)


Previous (Create)
Next (GetCount)

Member
Destroy

Visibility
PUBLIC

Related Class
TPHPArray

Description

Destructor

Source code
destructor Destroy ; override

Parameters
Parameter Description

KTWSAPI
Class Tree
Index
Previous (Create)
Next (GetCount)


Previous (Destroy)
Next (Getempty)

Member
GetCount

Visibility
PRIVATE

Related Class
TPHPArray

Description

Returns the number of items in the array

Source code
function GetCount : Integer

Parameters
Parameter Description

Return
Types | Description
INTEGER | number of items

KTWSAPI
Class Tree
Index
Previous (Destroy)
Next (Getempty)


Previous (GetCount)
Next (GetValue)

Member
Getempty

Visibility
PRIVATE

Related Class
TPHPArray

Description

Checks if the array is empty

Source code
function Getempty : Boolean

Parameters
Parameter Description

Return
Types | Description
BOOLEAN | true

KTWSAPI
Class Tree
Index
Previous (GetCount)
Next (GetValue)


Previous (Getempty)
Next (GetValue)

Member
GetValue

Visibility
PRIVATE

Related Class
TPHPArray

Description

Fetch a phpvalue from the array

Source code
function GetValue ( Key : TPHPValue ) : TPHPValue ; overload

Parameters
Parameter | Description
Key : TPHPValue | Handle to phpvalue

Return
Types | Description
TPHPValue | handle to phpvalue

KTWSAPI
Class Tree
Index
Previous (Getempty)
Next (GetValue)


Previous (GetValue)
Next (SetValue)

Member
GetValue

Visibility
PRIVATE

Related Class
TPHPArray

Description

Fetch a phpvalue from the array

Source code
function GetValue ( Key : string ) : TPHPValue ; overload

Parameters
Parameter | Description
Key : STRING | Index to element

Return
Types | Description
TPHPValue | handle to phpvalue

KTWSAPI
Class Tree
Index
Previous (GetValue)
Next (SetValue)


Previous (GetValue)
Next

Member
SetValue

Visibility
PRIVATE

Related Class
TPHPArray

Description

Insert a phpvalue into the array

Source code
procedure SetValue ( Key : TPHPValue ; VValue : TPHPValue ) ; overload

Parameters
Parameter | Description
Key : TPHPValue | Index to element
VValue : TPHPValue |

KTWSAPI
Class Tree
Index
Previous (GetValue)
Next


Previous (TPHPArray)
Next (TPHPSerialize)

Class
TPHPHashElement

Class Hierarchy
No Parent

Parent
uPHPSerialize

Description

a single hash element

Members
Fields
Field | Description
Key (*) | The Key part of the element
Value (*) | The Value part of the element

Legend
Symbol | Visibility
- | Private
# | Protected
+ | Public
* | Published
A | Automated
S | Strict

KTWSAPI
Class Tree
Index
Previous (TPHPArray)
Next (TPHPSerialize)


Previous
Next (Value)

Member
Key

Visibility
PUBLISHED

Related Class
TPHPHashElement

Description

The Key part of the element

Source code
Key : TPHPValue

KTWSAPI
Class Tree
Index
Previous
Next (Value)


Previous (Key)
Next

Member
Value

Visibility
PUBLISHED

Related Class
TPHPHashElement

Description

The Value part of the element

Source code
Value : TPHPValue

KTWSAPI
Class Tree
Index
Previous (Key)
Next


Previous (TPHPHashElement)
Next (TPHPValue)

Class
TPHPSerialize

Class Hierarchy
TObject

Parent
uPHPSerialize

Description

Class for unserializing a php serialized string

Members
Methods
Method | Description
GetIntLength (-) | Finds the lenght of the character-space the value occupies
GetLength (-) | Finds the length of they to the type
Unserialize (+) | Helper function to use this class statically
_Unserialize (+) | Recursing function for unserializing a string and creating a php value from it

Legend
Symbol | Visibility
- | Private
# | Protected
+ | Public
* | Published
A | Automated
S | Strict

KTWSAPI
Class Tree
Index
Previous (TPHPHashElement)
Next (TPHPValue)


Previous
Next (GetLength)

Member
GetIntLength

Visibility
PRIVATE

Related Class
TPHPSerialize

Description

Finds the lenght of the character-space the value occupies

Source code
function GetIntLength ( Value : Integer ) : Integer

Parameters
Parameter | Description
Value : INTEGER |

Return
Types | Description
INTEGER | Integer

KTWSAPI
Class Tree
Index
Previous
Next (GetLength)


Previous (GetIntLength)
Next (Unserialize)

Member
GetLength

Visibility
PRIVATE

Related Class
TPHPSerialize

Description

Finds the length of they to the type

Source code
function GetLength ( Data : String ) : Integer

Parameters
Parameter | Description
Data : STRING |

Return
Types | Description
INTEGER | integer

KTWSAPI
Class Tree
Index
Previous (GetIntLength)
Next (Unserialize)


Previous (GetLength)
Next (_Unserialize)

Member
Unserialize

Visibility
PUBLIC

Related Class
TPHPSerialize

Description

Helper function to use this class statically

Source code
class function Unserialize ( Data : String ) : TPHPValue

Parameters
Parameter | Description
Data : STRING |

Return
Types | Description
TPHPValue | Integer

KTWSAPI
Class Tree
Index
Previous (GetLength)
Next (_Unserialize)


Previous (Unserialize)
Next

Member
_Unserialize

Visibility
PUBLIC

Related Class
TPHPSerialize

Description

Recursing function for unserializing a string and creating a php value from it

Source code
function _Unserialize ( var Data : String ) : TPHPValue

Parameters
Parameter | Description
Data : STRING | String

Return
Types | Description
TPHPValue | TPHPValue

KTWSAPI
Class Tree
Index
Previous (Unserialize)
Next


Previous (TPHPSerialize)
Next

Class
TPHPValue

Class Hierarchy
TObject

Parent
uPHPSerialize

Description

Tries to represent a PHP value of any type

Members
Fields
Field | Description
FObj (-) | Holds value if it's an object or array
FValue (-) | Holds value if it's something else

Methods
Method | Description
AsArray (+) | Returns value as an associative-array
AsBoolean (+) | Returns value as boolan
AsDouble (+) | Returns value as double
AsInteger (+) | Returns value as an integer
AsObject (+) | Returns value as an object
AsString (+) | Returns value as a string
Clear (-) | Clears current value
Create (+) | Constructor
Create (+) | Constructor
Destroy (+) | Destructor

Legend
Symbol | Visibility
- | Private
# | Protected
+ | Public
* | Published
A | Automated
S | Strict

KTWSAPI
Class Tree
Index
Previous (TPHPSerialize)
Next


Previous
Next (FValue)

Member
FObj

Visibility
PRIVATE

Related Class
TPHPValue

Description

Holds value if it's an object or array

Source code
FObj : TObject

KTWSAPI
Class Tree
Index
Previous
Next (FValue)


Previous (FObj)
Next

Member
FValue

Visibility
PRIVATE

Related Class
TPHPValue

Description

Holds value if it's something else

Source code
FValue : String

KTWSAPI
Class Tree
Index
Previous (FObj)
Next


Previous
Next (AsBoolean)

Member
AsArray

Visibility
PUBLIC

Related Class
TPHPValue

Description

Returns value as an associative-array

Source code
function AsArray : TPHPArray

Parameters
Parameter Description

Return
Types | Description
TPHPArray | associative-array

KTWSAPI
Class Tree
Index
Previous
Next (AsBoolean)


Previous (AsArray)
Next (AsDouble)

Member
AsBoolean

Visibility
PUBLIC

Related Class
TPHPValue

Description

Returns value as boolan

Source code
function AsBoolean : Boolean

Parameters
Parameter Description

Return
Types | Description
BOOLEAN | boolean value

KTWSAPI
Class Tree
Index
Previous (AsArray)
Next (AsDouble)


Previous (AsBoolean)
Next (AsInteger)

Member
AsDouble

Visibility
PUBLIC

Related Class
TPHPValue

Description

Returns value as double

Source code
function AsDouble : Double

Parameters
Parameter Description

Return
Types | Description
DOUBLE | double value

KTWSAPI
Class Tree
Index
Previous (AsBoolean)
Next (AsInteger)


Previous (AsDouble)
Next (AsObject)

Member
AsInteger

Visibility
PUBLIC

Related Class
TPHPValue

Description

Returns value as an integer

Source code
function AsInteger : Integer

Parameters
Parameter Description

Return
Types | Description
INTEGER | integer value

KTWSAPI
Class Tree
Index
Previous (AsDouble)
Next (AsObject)


Previous (AsInteger)
Next (AsString)

Member
AsObject

Visibility
PUBLIC

Related Class
TPHPValue

Description

Returns value as an object

Source code
function AsObject : TObject

Parameters
Parameter Description

Return
Types | Description
TObject | object value

KTWSAPI
Class Tree
Index
Previous (AsInteger)
Next (AsString)


Previous (AsObject)
Next (Clear)

Member
AsString

Visibility
PUBLIC

Related Class
TPHPValue

Description

Returns value as a string

Source code
function AsString : String

Parameters
Parameter Description

Return
Types | Description
STRING | string value

KTWSAPI
Class Tree
Index
Previous (AsObject)
Next (Clear)


Previous (AsString)
Next (Create)

Member
Clear

Visibility
PRIVATE

Related Class
TPHPValue

Description

Clears current value

Source code
procedure Clear

Parameters
Parameter Description

KTWSAPI
Class Tree
Index
Previous (AsString)
Next (Create)


Previous (Clear)
Next (Create)

Member
Create

Visibility
PUBLIC

Related Class
TPHPValue

Description

Constructor

Source code
constructor Create ( Value : TObject ) ; overload

Parameters
Parameter | Description
Value : TObject | Value to store

KTWSAPI
Class Tree
Index
Previous (Clear)
Next (Create)


Previous (Create)
Next (Destroy)

Member
Create

Visibility
PUBLIC

Related Class
TPHPValue

Description

Constructor

Source code
constructor Create ( Value : String ) ; overload

Parameters
Parameter | Description
Value : STRING | Value to store

KTWSAPI
Class Tree
Index
Previous (Create)
Next (Destroy)


Previous (Create)
Next

Member
Destroy

Visibility
PUBLIC

Related Class
TPHPValue

Description

Destructor

Source code
destructor Destroy ; override

Parameters
Parameter Description

KTWSAPI
Class Tree
Index
Previous (Create)
Next


Previous
Next

Member
TPHPHashedElementArray

Parent
uPHPSerialize

Description

an array of hash elements

Source code
TPHPHashedElementArray = array of TPHPHashElement ;

KTWSAPI
Class Tree
Index
Previous
Next


Previous (uPHPSerialize)
Next

Unit
uWebservice

Description
Unit auto-generated by delphi's wsdl imported

Author

Bjarte Kalstveit Vebjørnsen

Version

1.0 BKV 24.09.2007 Initial revision

Classes
Class | Description
KnowledgeTreePort | #No TAG found in source code#
kt_document_detail | #No TAG found in source code#
kt_document_transaction_history_item | #No TAG found in source code#
kt_document_transaction_history_response | #No TAG found in source code#
kt_document_transitions_response | #No TAG found in source code#
kt_document_types_response | #No TAG found in source code#
kt_document_version_history_item | #No TAG found in source code#
kt_document_version_history_response | #No TAG found in source code#
kt_folder_contents | #No TAG found in source code#
kt_folder_detail | #No TAG found in source code#
kt_folder_item | #No TAG found in source code#
kt_linked_document | #No TAG found in source code#
kt_linked_document_response | #No TAG found in source code#
kt_metadata_field | #No TAG found in source code#
kt_metadata_fieldset | #No TAG found in source code#
kt_metadata_response | #No TAG found in source code#
kt_metadata_selection_item | #No TAG found in source code#
kt_response | #No TAG found in source code#

Types
Type | Description
kt_document_transaction_history | #No TAG found in source code#
kt_document_transitions | #No TAG found in source code#
kt_document_types_array | #No TAG found in source code#
kt_document_version_history | #No TAG found in source code#
kt_folder_items | #No TAG found in source code#
kt_linked_documents | #No TAG found in source code#
kt_metadata_fields | #No TAG found in source code#
kt_metadata_fieldsets | #No TAG found in source code#
kt_metadata_selection | #No TAG found in source code#

Functions
Function | Description
GetKnowledgeTreePort | #No TAG found in source code#

KTWSAPI
Class Tree
Index
Previous (uPHPSerialize)
Next


Previous
Next (kt_document_detail)

Class
KnowledgeTreePort

Class Hierarchy
IInvokable

Parent
uWebservice

Description

#No TAG found in source code#

Members
Methods
Method | Description
add_base64_document (+) | #No TAG found in source code#
add_document (+) | #No TAG found in source code#
add_small_document (+) | #No TAG found in source code#
anonymous_login (+) | #No TAG found in source code#
change_document_owner (+) | #No TAG found in source code#
change_document_type (+) | #No TAG found in source code#
checkin_base64_document (+) | #No TAG found in source code#
checkin_document (+) | #No TAG found in source code#
checkin_small_document (+) | #No TAG found in source code#
checkout_base64_document (+) | #No TAG found in source code#
checkout_document (+) | #No TAG found in source code#
checkout_small_document (+) | #No TAG found in source code#
copy_document (+) | #No TAG found in source code#
copy_folder (+) | #No TAG found in source code#
create_folder (+) | #No TAG found in source code#
delete_document (+) | #No TAG found in source code#
delete_document_workflow (+) | #No TAG found in source code#
delete_folder (+) | #No TAG found in source code#
download_base64_document (+) | #No TAG found in source code#
download_document (+) | #No TAG found in source code#
download_small_document (+) | #No TAG found in source code#
get_document_detail (+) | #No TAG found in source code#
get_document_detail_by_name (+) | #No TAG found in source code#
get_document_links (+) | #No TAG found in source code#
get_document_link_types (+) | #No TAG found in source code#
get_document_metadata (+) | #No TAG found in source code#
get_document_transaction_history (+) | #No TAG found in source code#
get_document_types (+) | #No TAG found in source code#
get_document_type_metadata (+) | #No TAG found in source code#
get_document_version_history (+) | #No TAG found in source code#
get_document_workflow_state (+) | #No TAG found in source code#
get_document_workflow_transitions (+) | #No TAG found in source code#
get_folder_contents (+) | #No TAG found in source code#
get_folder_detail (+) | #No TAG found in source code#
get_folder_detail_by_name (+) | #No TAG found in source code#
link_documents (+) | #No TAG found in source code#
login (+) | #No TAG found in source code#
logout (+) | #No TAG found in source code#
move_document (+) | #No TAG found in source code#
move_folder (+) | #No TAG found in source code#
perform_document_workflow_transition (+) | #No TAG found in source code#
rename_document_filename (+) | #No TAG found in source code#
rename_document_title (+) | #No TAG found in source code#
rename_folder (+) | #No TAG found in source code#
start_document_workflow (+) | #No TAG found in source code#
undo_document_checkout (+) | #No TAG found in source code#
unlink_documents (+) | #No TAG found in source code#
update_document_metadata (+) | #No TAG found in source code#

Legend
Symbol | Visibility
- | Private
# | Protected
+ | Public
* | Published
A | Automated
S | Strict

KTWSAPI
Class Tree
Index
Previous
Next (kt_document_detail)


Previous
Next (add_document)

Member
add_base64_document

Visibility
PUBLIC

Related Class
KnowledgeTreePort

Description

#No TAG found in source code#

Source code
function add_base64_document ( const session_id : WideString ; const folder_id : Integer ; const title : WideString ; const filename : WideString ; const documentype : WideString ; const base64 : WideString ) : kt_document_detail ; stdcall

Parameters
Parameter | Description
base64 : WIDESTRING | #No TAG found in source code#
documentype : WIDESTRING | #No TAG found in source code#
filename : WIDESTRING | #No TAG found in source code#
folder_id : INTEGER | #No TAG found in source code#
session_id : WIDESTRING | #No TAG found in source code#
title : WIDESTRING | #No TAG found in source code#

Return
Types | Description
kt_document_detail | #No TAG found in source code#

KTWSAPI
Class Tree
Index
Previous
Next (add_document)


Previous (add_base64_document)
Next (add_small_document)

Member
add_document

Visibility
PUBLIC

Related Class
KnowledgeTreePort

Description

#No TAG found in source code#

Source code
function add_document ( const session_id : WideString ; const folder_id : Integer ; const title : WideString ; const filename : WideString ; const documentype : WideString ; const tempfilename : WideString ) : kt_document_detail ; stdcall

Parameters
Parameter | Description
documentype : WIDESTRING | #No TAG found in source code#
filename : WIDESTRING | #No TAG found in source code#
folder_id : INTEGER | #No TAG found in source code#
session_id : WIDESTRING | #No TAG found in source code#
tempfilename : WIDESTRING | #No TAG found in source code#
title : WIDESTRING | #No TAG found in source code#

Return
Types | Description
kt_document_detail | #No TAG found in source code#

KTWSAPI
Class Tree
Index
Previous (add_base64_document)
Next (add_small_document)


Previous (add_document)
Next (anonymous_login)

Member
add_small_document

Visibility
PUBLIC

Related Class
KnowledgeTreePort

Description

#No TAG found in source code#

Source code
function add_small_document ( const session_id : WideString ; const folder_id : Integer ; const title : WideString ; const filename : WideString ; const documentype : WideString ; const base64 : WideString ) : kt_document_detail ; stdcall

Parameters
Parameter | Description
base64 : WIDESTRING | #No TAG found in source code#
documentype : WIDESTRING | #No TAG found in source code#
filename : WIDESTRING | #No TAG found in source code#
folder_id : INTEGER | #No TAG found in source code#
session_id : WIDESTRING | #No TAG found in source code#
title : WIDESTRING | #No TAG found in source code#

Return
Types | Description
kt_document_detail | #No TAG found in source code#

KTWSAPI
Class Tree
Index
Previous (add_document)
Next (anonymous_login)


Previous (add_small_document)
Next (change_document_owner)

Member
anonymous_login

Visibility
PUBLIC

Related Class
KnowledgeTreePort

Description

#No TAG found in source code#

Source code
function anonymous_login ( const ip : WideString ) : kt_response ; stdcall

Parameters
Parameter | Description
ip : WIDESTRING | #No TAG found in source code#

Return
Types | Description
kt_response | #No TAG found in source code#

KTWSAPI
Class Tree
Index
Previous (add_small_document)
Next (change_document_owner)


Previous (anonymous_login)
Next (change_document_type)

Member
change_document_owner

Visibility
PUBLIC

Related Class
KnowledgeTreePort

Description

#No TAG found in source code#

Source code
function change_document_owner ( const session_id : WideString ; const document_id : Integer ; const username : WideString ; const reason : WideString ) : kt_response ; stdcall

Parameters
Parameter | Description
document_id : INTEGER | #No TAG found in source code#
reason : WIDESTRING | #No TAG found in source code#
session_id : WIDESTRING | #No TAG found in source code#
username : WIDESTRING | #No TAG found in source code#

Return
Types | Description
kt_response | #No TAG found in source code#

KTWSAPI
Class Tree
Index
Previous (anonymous_login)
Next (change_document_type)


Previous (change_document_owner)
Next (checkin_base64_document)

Member
change_document_type

Visibility
PUBLIC

Related Class
KnowledgeTreePort

Description

#No TAG found in source code#

Source code
function change_document_type ( const session_id : WideString ; const document_id : Integer ; const documenttype : WideString ) : kt_response ; stdcall

Parameters
Parameter | Description
documenttype : WIDESTRING | #No TAG found in source code#
document_id : INTEGER | #No TAG found in source code#
session_id : WIDESTRING | #No TAG found in source code#

Return
Types | Description
kt_response | #No TAG found in source code#

KTWSAPI
Class Tree
Index
Previous (change_document_owner)
Next (checkin_base64_document)


Previous (change_document_type)
Next (checkin_document)

Member
checkin_base64_document

Visibility
PUBLIC

Related Class
KnowledgeTreePort

Description

#No TAG found in source code#

Source code
function checkin_base64_document ( const session_id : WideString ; const document_id : Integer ; const filename : WideString ; const reason : WideString ; const base64 : WideString ; const major_update : Boolean ) : kt_response ; stdcall

Parameters
Parameter | Description
base64 : WIDESTRING | #No TAG found in source code#
document_id : INTEGER | #No TAG found in source code#
filename : WIDESTRING | #No TAG found in source code#
major_update : BOOLEAN | #No TAG found in source code#
reason : WIDESTRING | #No TAG found in source code#
session_id : WIDESTRING | #No TAG found in source code#

Return
Types | Description
kt_response | #No TAG found in source code#

KTWSAPI
Class Tree
Index
Previous (change_document_type)
Next (checkin_document)


Previous (checkin_base64_document)
Next (checkin_small_document)

Member
checkin_document

Visibility
PUBLIC

Related Class
KnowledgeTreePort

Description

#No TAG found in source code#

Source code
function checkin_document ( const session_id : WideString ; const document_id : Integer ; const filename : WideString ; const reason : WideString ; const tempfilename : WideString ; const major_update : Boolean ) : kt_response ; stdcall

Parameters
Parameter | Description
document_id : INTEGER | #No TAG found in source code#
filename : WIDESTRING | #No TAG found in source code#
major_update : BOOLEAN | #No TAG found in source code#
reason : WIDESTRING | #No TAG found in source code#
session_id : WIDESTRING | #No TAG found in source code#
tempfilename : WIDESTRING | #No TAG found in source code#

Return
Types | Description
kt_response | #No TAG found in source code#

KTWSAPI
Class Tree
Index
Previous (checkin_base64_document)
Next (checkin_small_document)


Previous (checkin_document)
Next (checkout_base64_document)

Member
checkin_small_document

Visibility
PUBLIC

Related Class
KnowledgeTreePort

Description

#No TAG found in source code#

Source code
function checkin_small_document ( const session_id : WideString ; const document_id : Integer ; const filename : WideString ; const reason : WideString ; const base64 : WideString ; const major_update : Boolean ) : kt_response ; stdcall

Parameters
Parameter | Description
base64 : WIDESTRING | #No TAG found in source code#
document_id : INTEGER | #No TAG found in source code#
filename : WIDESTRING | #No TAG found in source code#
major_update : BOOLEAN | #No TAG found in source code#
reason : WIDESTRING | #No TAG found in source code#
session_id : WIDESTRING | #No TAG found in source code#

Return
Types | Description
kt_response | #No TAG found in source code#

KTWSAPI
Class Tree
Index
Previous (checkin_document)
Next (checkout_base64_document)


Previous (checkin_small_document)
Next (checkout_document)

Member
checkout_base64_document

Visibility
PUBLIC

Related Class
KnowledgeTreePort

Description

#No TAG found in source code#

Source code
function checkout_base64_document ( const session_id : WideString ; const document_id : Integer ; const reason : WideString ; const download : Boolean ) : kt_response ; stdcall

Parameters
Parameter | Description
document_id : INTEGER | #No TAG found in source code#
download : BOOLEAN | #No TAG found in source code#
reason : WIDESTRING | #No TAG found in source code#
session_id : WIDESTRING | #No TAG found in source code#

Return
Types | Description
kt_response | #No TAG found in source code#

KTWSAPI
Class Tree
Index
Previous (checkin_small_document)
Next (checkout_document)


Previous (checkout_base64_document)
Next (checkout_small_document)

Member
checkout_document

Visibility
PUBLIC

Related Class
KnowledgeTreePort

Description

#No TAG found in source code#

Source code
function checkout_document ( const session_id : WideString ; const document_id : Integer ; const reason : WideString ) : kt_response ; stdcall

Parameters
Parameter | Description
document_id : INTEGER | #No TAG found in source code#
reason : WIDESTRING | #No TAG found in source code#
session_id : WIDESTRING | #No TAG found in source code#

Return
Types | Description
kt_response | #No TAG found in source code#

KTWSAPI
Class Tree
Index
Previous (checkout_base64_document)
Next (checkout_small_document)


Previous (checkout_document)
Next (copy_document)

Member
checkout_small_document

Visibility
PUBLIC

Related Class
KnowledgeTreePort

Description

#No TAG found in source code#

Source code
function checkout_small_document ( const session_id : WideString ; const document_id : Integer ; const reason : WideString ; const download : Boolean ) : kt_response ; stdcall

Parameters
Parameter | Description
document_id : INTEGER | #No TAG found in source code#
download : BOOLEAN | #No TAG found in source code#
reason : WIDESTRING | #No TAG found in source code#
session_id : WIDESTRING | #No TAG found in source code#

Return
Types | Description
kt_response | #No TAG found in source code#

KTWSAPI
Class Tree
Index
Previous (checkout_document)
Next (copy_document)


Previous (checkout_small_document)
Next (copy_folder)

Member
copy_document

Visibility
PUBLIC

Related Class
KnowledgeTreePort

Description

#No TAG found in source code#

Source code
function copy_document ( const session_id : WideString ; const document_id : Integer ; const folder_id : Integer ; const reason : WideString ; const newtitle : WideString ; const newfilename : WideString ) : kt_response ; stdcall

Parameters
Parameter | Description
document_id : INTEGER | #No TAG found in source code#
folder_id : INTEGER | #No TAG found in source code#
newfilename : WIDESTRING | #No TAG found in source code#
newtitle : WIDESTRING | #No TAG found in source code#
reason : WIDESTRING | #No TAG found in source code#
session_id : WIDESTRING | #No TAG found in source code#

Return
Types | Description
kt_response | #No TAG found in source code#

KTWSAPI
Class Tree
Index
Previous (checkout_small_document)
Next (copy_folder)


Previous (copy_document)
Next (create_folder)

Member
copy_folder

Visibility
PUBLIC

Related Class
KnowledgeTreePort

Description

#No TAG found in source code#

Source code
function copy_folder ( const session_id : WideString ; const source_id : Integer ; const target_id : Integer ; const reason : WideString ) : kt_response ; stdcall

Parameters
Parameter | Description
reason : WIDESTRING | #No TAG found in source code#
session_id : WIDESTRING | #No TAG found in source code#
source_id : INTEGER | #No TAG found in source code#
target_id : INTEGER | #No TAG found in source code#

Return
Types | Description
kt_response | #No TAG found in source code#

KTWSAPI
Class Tree
Index
Previous (copy_document)
Next (create_folder)


Previous (copy_folder)
Next (delete_document)

Member
create_folder

Visibility
PUBLIC

Related Class
KnowledgeTreePort

Description

#No TAG found in source code#

Source code
function create_folder ( const session_id : WideString ; const folder_id : Integer ; const folder_name : WideString ) : kt_folder_detail ; stdcall

Parameters
Parameter | Description
folder_id : INTEGER | #No TAG found in source code#
folder_name : WIDESTRING | #No TAG found in source code#
session_id : WIDESTRING | #No TAG found in source code#

Return
Types | Description
kt_folder_detail | #No TAG found in source code#

KTWSAPI
Class Tree
Index
Previous (copy_folder)
Next (delete_document)


Previous (create_folder)
Next (delete_document_workflow)

Member
delete_document

Visibility
PUBLIC

Related Class
KnowledgeTreePort

Description

#No TAG found in source code#

Source code
function delete_document ( const session_id : WideString ; const document_id : Integer ; const reason : WideString ) : kt_response ; stdcall

Parameters
Parameter | Description
document_id : INTEGER | #No TAG found in source code#
reason : WIDESTRING | #No TAG found in source code#
session_id : WIDESTRING | #No TAG found in source code#

Return
Types | Description
kt_response | #No TAG found in source code#

KTWSAPI
Class Tree
Index
Previous (create_folder)
Next (delete_document_workflow)


Previous (delete_document)
Next (delete_folder)

Member
delete_document_workflow

Visibility
PUBLIC

Related Class
KnowledgeTreePort

Description

#No TAG found in source code#

Source code
function delete_document_workflow ( const session_id : WideString ; const document_id : Integer ) : kt_response ; stdcall

Parameters
Parameter | Description
document_id : INTEGER | #No TAG found in source code#
session_id : WIDESTRING | #No TAG found in source code#

Return
Types | Description
kt_response | #No TAG found in source code#

KTWSAPI
Class Tree
Index
Previous (delete_document)
Next (delete_folder)


Previous (delete_document_workflow)
Next (download_base64_document)

Member
delete_folder

Visibility
PUBLIC

Related Class
KnowledgeTreePort

Description

#No TAG found in source code#

Source code
function delete_folder ( const session_id : WideString ; const folder_id : Integer ; const reason : WideString ) : kt_response ; stdcall

Parameters
Parameter | Description
folder_id : INTEGER | #No TAG found in source code#
reason : WIDESTRING | #No TAG found in source code#
session_id : WIDESTRING | #No TAG found in source code#

Return
Types | Description
kt_response | #No TAG found in source code#

KTWSAPI
Class Tree
Index
Previous (delete_document_workflow)
Next (download_base64_document)


Previous (delete_folder)
Next (download_document)

Member
download_base64_document

Visibility
PUBLIC

Related Class
KnowledgeTreePort

Description

#No TAG found in source code#

Source code
function download_base64_document ( const session_id : WideString ; const document_id : Integer ) : kt_response ; stdcall

Parameters
Parameter | Description
document_id : INTEGER | #No TAG found in source code#
session_id : WIDESTRING | #No TAG found in source code#

Return
Types | Description
kt_response | #No TAG found in source code#

KTWSAPI
Class Tree
Index
Previous (delete_folder)
Next (download_document)


Previous (download_base64_document)
Next (download_small_document)

Member
download_document

Visibility
PUBLIC

Related Class
KnowledgeTreePort

Description

#No TAG found in source code#

Source code
function download_document ( const session_id : WideString ; const document_id : Integer ) : kt_response ; stdcall

Parameters
Parameter | Description
document_id : INTEGER | #No TAG found in source code#
session_id : WIDESTRING | #No TAG found in source code#

Return
Types | Description
kt_response | #No TAG found in source code#

KTWSAPI
Class Tree
Index
Previous (download_base64_document)
Next (download_small_document)


Previous (download_document)
Next (get_document_detail)

Member
download_small_document

Visibility
PUBLIC

Related Class
KnowledgeTreePort

Description

#No TAG found in source code#

Source code
function download_small_document ( const session_id : WideString ; const document_id : Integer ) : kt_response ; stdcall

Parameters
Parameter | Description
document_id : INTEGER | #No TAG found in source code#
session_id : WIDESTRING | #No TAG found in source code#

Return
Types | Description
kt_response | #No TAG found in source code#

KTWSAPI
Class Tree
Index
Previous (download_document)
Next (get_document_detail)


Previous (download_small_document)
Next (get_document_detail_by_name)

Member
get_document_detail

Visibility
PUBLIC

Related Class
KnowledgeTreePort

Description

#No TAG found in source code#

Source code
function get_document_detail ( const session_id : WideString ; const document_id : Integer ) : kt_document_detail ; stdcall

Parameters
Parameter | Description
document_id : INTEGER | #No TAG found in source code#
session_id : WIDESTRING | #No TAG found in source code#

Return
Types | Description
kt_document_detail | #No TAG found in source code#

KTWSAPI
Class Tree
Index
Previous (download_small_document)
Next (get_document_detail_by_name)


Previous (get_document_detail)
Next (get_document_links)

Member
get_document_detail_by_name

Visibility
PUBLIC

Related Class
KnowledgeTreePort

Description

#No TAG found in source code#

Source code
function get_document_detail_by_name ( const session_id : WideString ; const document_name : WideString ; const what : WideString ) : kt_document_detail ; stdcall

Parameters
Parameter | Description
document_name : WIDESTRING | #No TAG found in source code#
session_id : WIDESTRING | #No TAG found in source code#
what : WIDESTRING | #No TAG found in source code#

Return
Types | Description
kt_document_detail | #No TAG found in source code#

KTWSAPI
Class Tree
Index
Previous (get_document_detail)
Next (get_document_links)


Previous (get_document_detail_by_name)
Next (get_document_link_types)

Member
get_document_links

Visibility
PUBLIC

Related Class
KnowledgeTreePort

Description

#No TAG found in source code#

Source code
function get_document_links ( const session_id : WideString ; const document_id : Integer ) : kt_linked_document_response ; stdcall

Parameters
Parameter | Description
document_id : INTEGER | #No TAG found in source code#
session_id : WIDESTRING | #No TAG found in source code#

Return
Types | Description
kt_linked_document_response | #No TAG found in source code#

KTWSAPI
Class Tree
Index
Previous (get_document_detail_by_name)
Next (get_document_link_types)


Previous (get_document_links)
Next (get_document_metadata)

Member
get_document_link_types

Visibility
PUBLIC

Related Class
KnowledgeTreePort

Description

#No TAG found in source code#

Source code
function get_document_link_types ( const session_id : WideString ) : kt_document_types_response ; stdcall

Parameters
Parameter | Description
session_id : WIDESTRING | #No TAG found in source code#

Return
Types | Description
kt_document_types_response | #No TAG found in source code#

KTWSAPI
Class Tree
Index
Previous (get_document_links)
Next (get_document_metadata)


Previous (get_document_link_types)
Next (get_document_transaction_history)

Member
get_document_metadata

Visibility
PUBLIC

Related Class
KnowledgeTreePort

Description

#No TAG found in source code#

Source code
function get_document_metadata ( const session_id : WideString ; const document_id : Integer ) : kt_metadata_response ; stdcall

Parameters
Parameter | Description
document_id : INTEGER | #No TAG found in source code#
session_id : WIDESTRING | #No TAG found in source code#

Return
Types | Description
kt_metadata_response | #No TAG found in source code#

KTWSAPI
Class Tree
Index
Previous (get_document_link_types)
Next (get_document_transaction_history)


Previous (get_document_metadata)
Next (get_document_types)

Member
get_document_transaction_history

Visibility
PUBLIC

Related Class
KnowledgeTreePort

Description

#No TAG found in source code#

Source code
function get_document_transaction_history ( const session_id : WideString ; const document_id : Integer ) : kt_document_transaction_history_response ; stdcall

Parameters
Parameter | Description
document_id : INTEGER | #No TAG found in source code#
session_id : WIDESTRING | #No TAG found in source code#

Return
Types | Description
kt_document_transaction_history_response | #No TAG found in source code#

KTWSAPI
Class Tree
Index
Previous (get_document_metadata)
Next (get_document_types)


Previous (get_document_transaction_history)
Next (get_document_type_metadata)

Member
get_document_types

Visibility
PUBLIC

Related Class
KnowledgeTreePort

Description

#No TAG found in source code#

Source code
function get_document_types ( const session_id : WideString ) : kt_document_types_response ; stdcall

Parameters
Parameter | Description
session_id : WIDESTRING | #No TAG found in source code#

Return
Types | Description
kt_document_types_response | #No TAG found in source code#

KTWSAPI
Class Tree
Index
Previous (get_document_transaction_history)
Next (get_document_type_metadata)


Previous (get_document_types)
Next (get_document_version_history)

Member
get_document_type_metadata

Visibility
PUBLIC

Related Class
KnowledgeTreePort

Description

#No TAG found in source code#

Source code
function get_document_type_metadata ( const session_id : WideString ; const document_type : WideString ) : kt_metadata_response ; stdcall

Parameters
Parameter | Description
document_type : WIDESTRING | #No TAG found in source code#
session_id : WIDESTRING | #No TAG found in source code#

Return
Types | Description
kt_metadata_response | #No TAG found in source code#

KTWSAPI
Class Tree
Index
Previous (get_document_types)
Next (get_document_version_history)


Previous (get_document_type_metadata)
Next (get_document_workflow_state)

Member
get_document_version_history

Visibility
PUBLIC

Related Class
KnowledgeTreePort

Description

#No TAG found in source code#

Source code
function get_document_version_history ( const session_id : WideString ; const document_id : Integer ) : kt_document_version_history_response ; stdcall

Parameters
Parameter | Description
document_id : INTEGER | #No TAG found in source code#
session_id : WIDESTRING | #No TAG found in source code#

Return
Types | Description
kt_document_version_history_response | #No TAG found in source code#

KTWSAPI
Class Tree
Index
Previous (get_document_type_metadata)
Next (get_document_workflow_state)


Previous (get_document_version_history)
Next (get_document_workflow_transitions)

Member
get_document_workflow_state

Visibility
PUBLIC

Related Class
KnowledgeTreePort

Description

#No TAG found in source code#

Source code
function get_document_workflow_state ( const session_id : WideString ; const document_id : Integer ) : kt_response ; stdcall

Parameters
Parameter | Description
document_id : INTEGER | #No TAG found in source code#
session_id : WIDESTRING | #No TAG found in source code#

Return
Types | Description
kt_response | #No TAG found in source code#

KTWSAPI
Class Tree
Index
Previous (get_document_version_history)
Next (get_document_workflow_transitions)


Previous (get_document_workflow_state)
Next (get_folder_contents)

Member
get_document_workflow_transitions

Visibility
PUBLIC

Related Class
KnowledgeTreePort

Description

#No TAG found in source code#

Source code
function get_document_workflow_transitions ( const session_id : WideString ; const document_id : Integer ) : kt_document_transitions_response ; stdcall

Parameters
Parameter | Description
document_id : INTEGER | #No TAG found in source code#
session_id : WIDESTRING | #No TAG found in source code#

Return
Types | Description
kt_document_transitions_response | #No TAG found in source code#

KTWSAPI
Class Tree
Index
Previous (get_document_workflow_state)
Next (get_folder_contents)


Previous (get_document_workflow_transitions)
Next (get_folder_detail)

Member
get_folder_contents

Visibility
PUBLIC

Related Class
KnowledgeTreePort

Description

#No TAG found in source code#

Source code
function get_folder_contents ( const session_id : WideString ; const folder_id : Integer ; const depth : Integer ; const what : WideString ) : kt_folder_contents ; stdcall

Parameters
Parameter | Description
depth : INTEGER | #No TAG found in source code#
folder_id : INTEGER | #No TAG found in source code#
session_id : WIDESTRING | #No TAG found in source code#
what : WIDESTRING | #No TAG found in source code#

Return
Types | Description
kt_folder_contents | #No TAG found in source code#

KTWSAPI
Class Tree
Index
Previous (get_document_workflow_transitions)
Next (get_folder_detail)


Previous (get_folder_contents)
Next (get_folder_detail_by_name)

Member
get_folder_detail

Visibility
PUBLIC

Related Class
KnowledgeTreePort

Description

#No TAG found in source code#

Source code
function get_folder_detail ( const session_id : WideString ; const folder_id : Integer ) : kt_folder_detail ; stdcall

Parameters
Parameter | Description
folder_id : INTEGER | #No TAG found in source code#
session_id : WIDESTRING | #No TAG found in source code#

Return
Types | Description
kt_folder_detail | #No TAG found in source code#

KTWSAPI
Class Tree
Index
Previous (get_folder_contents)
Next (get_folder_detail_by_name)


Previous (get_folder_detail)
Next (link_documents)

Member
get_folder_detail_by_name

Visibility
PUBLIC

Related Class
KnowledgeTreePort

Description

#No TAG found in source code#

Source code
function get_folder_detail_by_name ( const session_id : WideString ; const folder_name : WideString ) : kt_folder_detail ; stdcall

Parameters
Parameter | Description
folder_name : WIDESTRING | #No TAG found in source code#
session_id : WIDESTRING | #No TAG found in source code#

Return
Types | Description
kt_folder_detail | #No TAG found in source code#

KTWSAPI
Class Tree
Index
Previous (get_folder_detail)
Next (link_documents)


Previous (get_folder_detail_by_name)
Next (login)

Member
link_documents

Visibility
PUBLIC

Related Class
KnowledgeTreePort

Description

#No TAG found in source code#

Source code
function link_documents ( const session_id : WideString ; const parent_document_id : Integer ; const child_document_id : Integer ; const type_ : WideString ) : kt_response ; stdcall

Parameters
Parameter | Description
child_document_id : INTEGER | #No TAG found in source code#
parent_document_id : INTEGER | #No TAG found in source code#
session_id : WIDESTRING | #No TAG found in source code#
type_ : WIDESTRING | #No TAG found in source code#

Return
Types | Description
kt_response | #No TAG found in source code#

KTWSAPI
Class Tree
Index
Previous (get_folder_detail_by_name)
Next (login)


Previous (link_documents)
Next (logout)

Member
login

Visibility
PUBLIC

Related Class
KnowledgeTreePort

Description

#No TAG found in source code#

Source code
function login ( const username : WideString ; const password : WideString ; const ip : WideString ) : kt_response ; stdcall

Parameters
Parameter | Description
ip : WIDESTRING | #No TAG found in source code#
password : WIDESTRING | #No TAG found in source code#
username : WIDESTRING | #No TAG found in source code#

Return
Types | Description
kt_response | #No TAG found in source code#

KTWSAPI
Class Tree
Index
Previous (link_documents)
Next (logout)


Previous (login)
Next (move_document)

Member
logout

Visibility
PUBLIC

Related Class
KnowledgeTreePort

Description

#No TAG found in source code#

Source code
function logout ( const session_id : WideString ) : kt_response ; stdcall

Parameters
Parameter | Description
session_id : WIDESTRING | #No TAG found in source code#

Return
Types | Description
kt_response | #No TAG found in source code#

KTWSAPI
Class Tree
Index
Previous (login)
Next (move_document)


Previous (logout)
Next (move_folder)

Member
move_document

Visibility
PUBLIC

Related Class
KnowledgeTreePort

Description

#No TAG found in source code#

Source code
function move_document ( const session_id : WideString ; const document_id : Integer ; const folder_id : Integer ; const reason : WideString ; const newtitle : WideString ; const newfilename : WideString ) : kt_response ; stdcall

Parameters
Parameter | Description
document_id : INTEGER | #No TAG found in source code#
folder_id : INTEGER | #No TAG found in source code#
newfilename : WIDESTRING | #No TAG found in source code#
newtitle : WIDESTRING | #No TAG found in source code#
reason : WIDESTRING | #No TAG found in source code#
session_id : WIDESTRING | #No TAG found in source code#

Return
Types | Description
kt_response | #No TAG found in source code#

KTWSAPI
Class Tree
Index
Previous (logout)
Next (move_folder)


Previous (move_document)
Next (perform_document_workflow_transition)

Member
move_folder

Visibility
PUBLIC

Related Class
KnowledgeTreePort

Description

#No TAG found in source code#

Source code
function move_folder ( const session_id : WideString ; const source_id : Integer ; const target_id : Integer ; const reason : WideString ) : kt_response ; stdcall

Parameters
Parameter | Description
reason : WIDESTRING | #No TAG found in source code#
session_id : WIDESTRING | #No TAG found in source code#
source_id : INTEGER | #No TAG found in source code#
target_id : INTEGER | #No TAG found in source code#

Return
Types | Description
kt_response | #No TAG found in source code#

KTWSAPI
Class Tree
Index
Previous (move_document)
Next (perform_document_workflow_transition)


Previous (move_folder)
Next (rename_document_filename)

Member
perform_document_workflow_transition

Visibility
PUBLIC

Related Class
KnowledgeTreePort

Description

#No TAG found in source code#

Source code
function perform_document_workflow_transition ( const session_id : WideString ; const document_id : Integer ; const transition : WideString ; const reason : WideString ) : kt_response ; stdcall

Parameters
Parameter | Description
document_id : INTEGER | #No TAG found in source code#
reason : WIDESTRING | #No TAG found in source code#
session_id : WIDESTRING | #No TAG found in source code#
transition : WIDESTRING | #No TAG found in source code#

Return
Types | Description
kt_response | #No TAG found in source code#

KTWSAPI
Class Tree
Index
Previous (move_folder)
Next (rename_document_filename)


Previous (perform_document_workflow_transition)
Next (rename_document_title)

Member
rename_document_filename

Visibility
PUBLIC

Related Class
KnowledgeTreePort

Description

#No TAG found in source code#

Source code
function rename_document_filename ( const session_id : WideString ; const document_id : Integer ; const newfilename : WideString ) : kt_response ; stdcall

Parameters
Parameter | Description
document_id : INTEGER | #No TAG found in source code#
newfilename : WIDESTRING | #No TAG found in source code#
session_id : WIDESTRING | #No TAG found in source code#

Return
Types | Description
kt_response | #No TAG found in source code#

KTWSAPI
Class Tree
Index
Previous (perform_document_workflow_transition)
Next (rename_document_title)


Previous (rename_document_filename)
Next (rename_folder)

Member
rename_document_title

Visibility
PUBLIC

Related Class
KnowledgeTreePort

Description

#No TAG found in source code#

Source code
function rename_document_title ( const session_id : WideString ; const document_id : Integer ; const newtitle : WideString ) : kt_response ; stdcall

Parameters
Parameter | Description
document_id : INTEGER | #No TAG found in source code#
newtitle : WIDESTRING | #No TAG found in source code#
session_id : WIDESTRING | #No TAG found in source code#

Return
Types | Description
kt_response | #No TAG found in source code#

KTWSAPI
Class Tree
Index
Previous (rename_document_filename)
Next (rename_folder)


Previous (rename_document_title)
Next (start_document_workflow)

Member
rename_folder

Visibility
PUBLIC

Related Class
KnowledgeTreePort

Description

#No TAG found in source code#

Source code
function rename_folder ( const session_id : WideString ; const folder_id : Integer ; const newname : WideString ) : kt_response ; stdcall

Parameters
Parameter | Description
folder_id : INTEGER | #No TAG found in source code#
newname : WIDESTRING | #No TAG found in source code#
session_id : WIDESTRING | #No TAG found in source code#

Return
Types | Description
kt_response | #No TAG found in source code#

KTWSAPI
Class Tree
Index
Previous (rename_document_title)
Next (start_document_workflow)


Previous (rename_folder)
Next (undo_document_checkout)

Member
start_document_workflow

Visibility
PUBLIC

Related Class
KnowledgeTreePort

Description

#No TAG found in source code#

Source code
function start_document_workflow ( const session_id : WideString ; const document_id : Integer ; const workflow : WideString ) : kt_response ; stdcall

Parameters
Parameter | Description
document_id : INTEGER | #No TAG found in source code#
session_id : WIDESTRING | #No TAG found in source code#
workflow : WIDESTRING | #No TAG found in source code#

Return
Types | Description
kt_response | #No TAG found in source code#

KTWSAPI
Class Tree
Index
Previous (rename_folder)
Next (undo_document_checkout)


Previous (start_document_workflow)
Next (unlink_documents)

Member
undo_document_checkout

Visibility
PUBLIC

Related Class
KnowledgeTreePort

Description

#No TAG found in source code#

Source code
function undo_document_checkout ( const session_id : WideString ; const document_id : Integer ; const reason : WideString ) : kt_response ; stdcall

Parameters
Parameter | Description
document_id : INTEGER | #No TAG found in source code#
reason : WIDESTRING | #No TAG found in source code#
session_id : WIDESTRING | #No TAG found in source code#

Return
Types | Description
kt_response | #No TAG found in source code#

KTWSAPI
Class Tree
Index
Previous (start_document_workflow)
Next (unlink_documents)


Previous (undo_document_checkout)
Next (update_document_metadata)

Member
unlink_documents

Visibility
PUBLIC

Related Class
KnowledgeTreePort

Description

#No TAG found in source code#

Source code
function unlink_documents ( const session_id : WideString ; const parent_document_id : Integer ; const child_document_id : Integer ) : kt_response ; stdcall

Parameters
Parameter | Description
child_document_id : INTEGER | #No TAG found in source code#
parent_document_id : INTEGER | #No TAG found in source code#
session_id : WIDESTRING | #No TAG found in source code#

Return
Types | Description
kt_response | #No TAG found in source code#

KTWSAPI
Class Tree
Index
Previous (undo_document_checkout)
Next (update_document_metadata)


Previous (unlink_documents)
Next

Member
update_document_metadata

Visibility
PUBLIC

Related Class
KnowledgeTreePort

Description

#No TAG found in source code#

Source code
function update_document_metadata ( const session_id : WideString ; const document_id : Integer ; const metadata : kt_metadata_fieldsets ) : kt_response ; stdcall

Parameters
Parameter | Description
document_id : INTEGER | #No TAG found in source code#
metadata : kt_metadata_fieldsets | #No TAG found in source code#
session_id : WIDESTRING | #No TAG found in source code#

Return
Types | Description
kt_response | #No TAG found in source code#

KTWSAPI
Class Tree
Index
Previous (unlink_documents)
Next


Previous (KnowledgeTreePort)
Next (kt_document_transaction_history_item)

Class
kt_document_detail

Class Hierarchy
TRemotable

Parent
uWebservice

Description

#No TAG found in source code#

Members
Fields
Field | Description
Fcheckout_by (-) | #No TAG found in source code#
Fcreated_by (-) | #No TAG found in source code#
Fcreated_date (-) | #No TAG found in source code#
Fdocument_id (-) | #No TAG found in source code#
Fdocument_type (-) | #No TAG found in source code#
Ffilename (-) | #No TAG found in source code#
Ffolder_id (-) | #No TAG found in source code#
Ffull_path (-) | #No TAG found in source code#
Fmessage_ (-) | #No TAG found in source code#
Fstatus_code (-) | #No TAG found in source code#
Ftitle (-) | #No TAG found in source code#
Fupdated_by (-) | #No TAG found in source code#
Fupdated_date (-) | #No TAG found in source code#
Fversion (-) | #No TAG found in source code#
Fworkflow (-) | #No TAG found in source code#
Fworkflow_state (-) | #No TAG found in source code#

Properties
Property | Description
checkout_by (*) | #No TAG found in source code#
created_by (*) | #No TAG found in source code#
created_date (*) | #No TAG found in source code#
document_id (*) | #No TAG found in source code#
document_type (*) | #No TAG found in source code#
filename (*) | #No TAG found in source code#
folder_id (*) | #No TAG found in source code#
full_path (*) | #No TAG found in source code#
message_ (*) | #No TAG found in source code#
status_code (*) | #No TAG found in source code#
title (*) | #No TAG found in source code#
updated_by (*) | #No TAG found in source code#
updated_date (*) | #No TAG found in source code#
version (*) | #No TAG found in source code#
workflow (*) | #No TAG found in source code#
workflow_state (*) | #No TAG found in source code#

Legend
Symbol | Visibility
- | Private
# | Protected
+ | Public
* | Published
A | Automated
S | Strict

KTWSAPI
Class Tree
Index
Previous (KnowledgeTreePort)
Next (kt_document_transaction_history_item)


Previous
Next (Fcreated_by)

Member
Fcheckout_by

Visibility
PRIVATE

Related Class
kt_document_detail

Description

#No TAG found in source code#

Source code
Fcheckout_by : WideString

KTWSAPI
Class Tree
Index
Previous
Next (Fcreated_by)


Previous (Fcheckout_by)
Next (Fcreated_date)

Member
Fcreated_by

Visibility
PRIVATE

Related Class
kt_document_detail

Description

#No TAG found in source code#

Source code
Fcreated_by : WideString

KTWSAPI
Class Tree
Index
Previous (Fcheckout_by)
Next (Fcreated_date)


Previous (Fcreated_by)
Next (Fdocument_id)

Member
Fcreated_date

Visibility
PRIVATE

Related Class
kt_document_detail

Description

#No TAG found in source code#

Source code
Fcreated_date : WideString

KTWSAPI
Class Tree
Index
Previous (Fcreated_by)
Next (Fdocument_id)


Previous (Fcreated_date)
Next (Fdocument_type)

Member
Fdocument_id

Visibility
PRIVATE

Related Class
kt_document_detail

Description

#No TAG found in source code#

Source code
Fdocument_id : Integer

KTWSAPI
Class Tree
Index
Previous (Fcreated_date)
Next (Fdocument_type)


Previous (Fdocument_id)
Next (Ffilename)

Member
Fdocument_type

Visibility
PRIVATE

Related Class
kt_document_detail

Description

#No TAG found in source code#

Source code
Fdocument_type : WideString

KTWSAPI
Class Tree
Index
Previous (Fdocument_id)
Next (Ffilename)


Previous (Fdocument_type)
Next (Ffolder_id)

Member
Ffilename

Visibility
PRIVATE

Related Class
kt_document_detail

Description

#No TAG found in source code#

Source code
Ffilename : WideString

KTWSAPI
Class Tree
Index
Previous (Fdocument_type)
Next (Ffolder_id)


Previous (Ffilename)
Next (Ffull_path)

Member
Ffolder_id

Visibility
PRIVATE

Related Class
kt_document_detail

Description

#No TAG found in source code#

Source code
Ffolder_id : Integer

KTWSAPI
Class Tree
Index
Previous (Ffilename)
Next (Ffull_path)


Previous (Ffolder_id)
Next (Fmessage_)

Member
Ffull_path

Visibility
PRIVATE

Related Class
kt_document_detail

Description

#No TAG found in source code#

Source code
Ffull_path : WideString

KTWSAPI
Class Tree
Index
Previous (Ffolder_id)
Next (Fmessage_)


Previous (Ffull_path)
Next (Fstatus_code)

Member
Fmessage_

Visibility
PRIVATE

Related Class
kt_document_detail

Description

#No TAG found in source code#

Source code
Fmessage_ : WideString

KTWSAPI
Class Tree
Index
Previous (Ffull_path)
Next (Fstatus_code)


Previous (Fmessage_)
Next (Ftitle)

Member
Fstatus_code

Visibility
PRIVATE

Related Class
kt_document_detail

Description

#No TAG found in source code#

Source code
Fstatus_code : Integer

KTWSAPI
Class Tree
Index
Previous (Fmessage_)
Next (Ftitle)


Previous (Fstatus_code)
Next (Fupdated_by)

Member
Ftitle

Visibility
PRIVATE

Related Class
kt_document_detail

Description

#No TAG found in source code#

Source code
Ftitle : WideString

KTWSAPI
Class Tree
Index
Previous (Fstatus_code)
Next (Fupdated_by)


Previous (Ftitle)
Next (Fupdated_date)

Member
Fupdated_by

Visibility
PRIVATE

Related Class
kt_document_detail

Description

#No TAG found in source code#

Source code
Fupdated_by : WideString

KTWSAPI
Class Tree
Index
Previous (Ftitle)
Next (Fupdated_date)


Previous (Fupdated_by)
Next (Fversion)

Member
Fupdated_date

Visibility
PRIVATE

Related Class
kt_document_detail

Description

#No TAG found in source code#

Source code
Fupdated_date : WideString

KTWSAPI
Class Tree
Index
Previous (Fupdated_by)
Next (Fversion)


Previous (Fupdated_date)
Next (Fworkflow)

Member
Fversion

Visibility
PRIVATE

Related Class
kt_document_detail

Description

#No TAG found in source code#

Source code
Fversion : WideString

KTWSAPI
Class Tree
Index
Previous (Fupdated_date)
Next (Fworkflow)


Previous (Fversion)
Next (Fworkflow_state)

Member
Fworkflow

Visibility
PRIVATE

Related Class
kt_document_detail

Description

#No TAG found in source code#

Source code
Fworkflow : WideString

KTWSAPI
Class Tree
Index
Previous (Fversion)
Next (Fworkflow_state)


Previous (Fworkflow)
Next

Member
Fworkflow_state

Visibility
PRIVATE

Related Class
kt_document_detail

Description

#No TAG found in source code#

Source code
Fworkflow_state : WideString

KTWSAPI
Class Tree
Index
Previous (Fworkflow)
Next


Previous
Next (created_by)

Member
checkout_by

Visibility
PUBLISHED

Related Class
kt_document_detail

Description

#No TAG found in source code#

Source code
property checkout_by : WideString read Fcheckout_by write Fcheckout_by

Read Access
Fcheckout_by

Write Access
Fcheckout_by

KTWSAPI
Class Tree
Index
Previous
Next (created_by)


Previous (checkout_by)
Next (created_date)

Member
created_by

Visibility
PUBLISHED

Related Class
kt_document_detail

Description

#No TAG found in source code#

Source code
property created_by : WideString read Fcreated_by write Fcreated_by

Read Access
Fcreated_by

Write Access
Fcreated_by

KTWSAPI
Class Tree
Index
Previous (checkout_by)
Next (created_date)


Previous (created_by)
Next (document_id)

Member
created_date

Visibility
PUBLISHED

Related Class
kt_document_detail

Description

#No TAG found in source code#

Source code
property created_date : WideString read Fcreated_date write Fcreated_date

Read Access
Fcreated_date

Write Access
Fcreated_date

KTWSAPI
Class Tree
Index
Previous (created_by)
Next (document_id)


Previous (created_date)
Next (document_type)

Member
document_id

Visibility
PUBLISHED

Related Class
kt_document_detail

Description

#No TAG found in source code#

Source code
property document_id : Integer read Fdocument_id write Fdocument_id

Read Access
Fdocument_id

Write Access
Fdocument_id

KTWSAPI
Class Tree
Index
Previous (created_date)
Next (document_type)


Previous (document_id)
Next (filename)

Member
document_type

Visibility
PUBLISHED

Related Class
kt_document_detail

Description

#No TAG found in source code#

Source code
property document_type : WideString read Fdocument_type write Fdocument_type

Read Access
Fdocument_type

Write Access
Fdocument_type

KTWSAPI
Class Tree
Index
Previous (document_id)
Next (filename)


Previous (document_type)
Next (folder_id)

Member
filename

Visibility
PUBLISHED

Related Class
kt_document_detail

Description

#No TAG found in source code#

Source code
property filename : WideString read Ffilename write Ffilename

Read Access
Ffilename

Write Access
Ffilename

KTWSAPI
Class Tree
Index
Previous (document_type)
Next (folder_id)


Previous (filename)
Next (full_path)

Member
folder_id

Visibility
PUBLISHED

Related Class
kt_document_detail

Description

#No TAG found in source code#

Source code
property folder_id : Integer read Ffolder_id write Ffolder_id

Read Access
Ffolder_id

Write Access
Ffolder_id

KTWSAPI
Class Tree
Index
Previous (filename)
Next (full_path)


Previous (folder_id)
Next (message_)

Member
full_path

Visibility
PUBLISHED

Related Class
kt_document_detail

Description

#No TAG found in source code#

Source code
property full_path : WideString read Ffull_path write Ffull_path

Read Access
Ffull_path

Write Access
Ffull_path

KTWSAPI
Class Tree
Index
Previous (folder_id)
Next (message_)


Previous (full_path)
Next (status_code)

Member
message_

Visibility
PUBLISHED

Related Class
kt_document_detail

Description

#No TAG found in source code#

Source code
property message_ : WideString read Fmessage_ write Fmessage_

Read Access
Fmessage_

Write Access
Fmessage_

KTWSAPI
Class Tree
Index
Previous (full_path)
Next (status_code)


Previous (message_)
Next (title)

Member
status_code

Visibility
PUBLISHED

Related Class
kt_document_detail

Description

#No TAG found in source code#

Source code
property status_code : Integer read Fstatus_code write Fstatus_code

Read Access
Fstatus_code

Write Access
Fstatus_code

KTWSAPI
Class Tree
Index
Previous (message_)
Next (title)


Previous (status_code)
Next (updated_by)

Member
title

Visibility
PUBLISHED

Related Class
kt_document_detail

Description

#No TAG found in source code#

Source code
property title : WideString read Ftitle write Ftitle

Read Access
Ftitle

Write Access
Ftitle

KTWSAPI
Class Tree
Index
Previous (status_code)
Next (updated_by)


Previous (title)
Next (updated_date)

Member
updated_by

Visibility
PUBLISHED

Related Class
kt_document_detail

Description

#No TAG found in source code#

Source code
property updated_by : WideString read Fupdated_by write Fupdated_by

Read Access
Fupdated_by

Write Access
Fupdated_by

KTWSAPI
Class Tree
Index
Previous (title)
Next (updated_date)


Previous (updated_by)
Next (version)

Member
updated_date

Visibility
PUBLISHED

Related Class
kt_document_detail

Description

#No TAG found in source code#

Source code
property updated_date : WideString read Fupdated_date write Fupdated_date

Read Access
Fupdated_date

Write Access
Fupdated_date

KTWSAPI
Class Tree
Index
Previous (updated_by)
Next (version)


Previous (updated_date)
Next (workflow)

Member
version

Visibility
PUBLISHED

Related Class
kt_document_detail

Description

#No TAG found in source code#

Source code
property version : WideString read Fversion write Fversion

Read Access
Fversion

Write Access
Fversion

KTWSAPI
Class Tree
Index
Previous (updated_date)
Next (workflow)


Previous (version)
Next (workflow_state)

Member
workflow

Visibility
PUBLISHED

Related Class
kt_document_detail

Description

#No TAG found in source code#

Source code
property workflow : WideString read Fworkflow write Fworkflow

Read Access
Fworkflow

Write Access
Fworkflow

KTWSAPI
Class Tree
Index
Previous (version)
Next (workflow_state)


Previous (workflow)
Next

Member
workflow_state

Visibility
PUBLISHED

Related Class
kt_document_detail

Description

#No TAG found in source code#

Source code
property workflow_state : WideString read Fworkflow_state write Fworkflow_state

Read Access
Fworkflow_state

Write Access
Fworkflow_state

KTWSAPI
Class Tree
Index
Previous (workflow)
Next


Previous (kt_document_detail)
Next (kt_document_transaction_history_response)

Class
kt_document_transaction_history_item

Class Hierarchy
TRemotable

Parent
uWebservice

Description

#No TAG found in source code#

Members
Fields
Field | Description
Fcomment (-) | #No TAG found in source code#
Fdatetime (-) | #No TAG found in source code#
Ftransaction_name (-) | #No TAG found in source code#
Fusername (-) | #No TAG found in source code#
Fversion (-) | #No TAG found in source code#

Properties
Property | Description
comment (*) | #No TAG found in source code#
datetime (*) | #No TAG found in source code#
transaction_name (*) | #No TAG found in source code#
username (*) | #No TAG found in source code#
version (*) | #No TAG found in source code#

Legend
Symbol | Visibility
- | Private
# | Protected
+ | Public
* | Published
A | Automated
S | Strict

KTWSAPI
Class Tree
Index
Previous (kt_document_detail)
Next (kt_document_transaction_history_response)


Previous
Next (Fdatetime)

Member
Fcomment

Visibility
PRIVATE

Related Class
kt_document_transaction_history_item

Description

#No TAG found in source code#

Source code
Fcomment : WideString

KTWSAPI
Class Tree
Index
Previous
Next (Fdatetime)


Previous (Fcomment)
Next (Ftransaction_name)

Member
Fdatetime

Visibility
PRIVATE

Related Class
kt_document_transaction_history_item

Description

#No TAG found in source code#

Source code
Fdatetime : WideString

KTWSAPI
Class Tree
Index
Previous (Fcomment)
Next (Ftransaction_name)


Previous (Fdatetime)
Next (Fusername)

Member
Ftransaction_name

Visibility
PRIVATE

Related Class
kt_document_transaction_history_item

Description

#No TAG found in source code#

Source code
Ftransaction_name : WideString

KTWSAPI
Class Tree
Index
Previous (Fdatetime)
Next (Fusername)


Previous (Ftransaction_name)
Next (Fversion)

Member
Fusername

Visibility
PRIVATE

Related Class
kt_document_transaction_history_item

Description

#No TAG found in source code#

Source code
Fusername : WideString

KTWSAPI
Class Tree
Index
Previous (Ftransaction_name)
Next (Fversion)


Previous (Fusername)
Next

Member
Fversion

Visibility
PRIVATE

Related Class
kt_document_transaction_history_item

Description

#No TAG found in source code#

Source code
Fversion : WideString

KTWSAPI
Class Tree
Index
Previous (Fusername)
Next


Previous
Next (datetime)

Member
comment

Visibility
PUBLISHED

Related Class
kt_document_transaction_history_item

Description

#No TAG found in source code#

Source code
property comment : WideString read Fcomment write Fcomment

Read Access
Fcomment

Write Access
Fcomment

KTWSAPI
Class Tree
Index
Previous
Next (datetime)


Previous (comment)
Next (transaction_name)

Member
datetime

Visibility
PUBLISHED

Related Class
kt_document_transaction_history_item

Description

#No TAG found in source code#

Source code
property datetime : WideString read Fdatetime write Fdatetime

Read Access
Fdatetime

Write Access
Fdatetime

KTWSAPI
Class Tree
Index
Previous (comment)
Next (transaction_name)


Previous (datetime)
Next (username)

Member
transaction_name

Visibility
PUBLISHED

Related Class
kt_document_transaction_history_item

Description

#No TAG found in source code#

Source code
property transaction_name : WideString read Ftransaction_name write Ftransaction_name

Read Access
Ftransaction_name

Write Access
Ftransaction_name

KTWSAPI
Class Tree
Index
Previous (datetime)
Next (username)


Previous (transaction_name)
Next (version)

Member
username

Visibility
PUBLISHED

Related Class
kt_document_transaction_history_item

Description

#No TAG found in source code#

Source code
property username : WideString read Fusername write Fusername

Read Access
Fusername

Write Access
Fusername

KTWSAPI
Class Tree
Index
Previous (transaction_name)
Next (version)


Previous (username)
Next

Member
version

Visibility
PUBLISHED

Related Class
kt_document_transaction_history_item

Description

#No TAG found in source code#

Source code
property version : WideString read Fversion write Fversion

Read Access
Fversion

Write Access
Fversion

KTWSAPI
Class Tree
Index
Previous (username)
Next


Previous (kt_document_transaction_history_item)
Next (kt_document_transitions_response)

Class
kt_document_transaction_history_response

Class Hierarchy
TRemotable

Parent
uWebservice

Description

#No TAG found in source code#

Members
Fields
Field | Description
Fhistory (-) | #No TAG found in source code#
Fmessage_ (-) | #No TAG found in source code#
Fstatus_code (-) | #No TAG found in source code#

Methods
Method | Description
Destroy (+) | #No TAG found in source code#

Properties
Property | Description
history (*) | #No TAG found in source code#
message_ (*) | #No TAG found in source code#
status_code (*) | #No TAG found in source code#

Legend
Symbol | Visibility
- | Private
# | Protected
+ | Public
* | Published
A | Automated
S | Strict

KTWSAPI
Class Tree
Index
Previous (kt_document_transaction_history_item)
Next (kt_document_transitions_response)


Previous
Next (Fmessage_)

Member
Fhistory

Visibility
PRIVATE

Related Class
kt_document_transaction_history_response

Description

#No TAG found in source code#

Source code
Fhistory : kt_document_transaction_history

KTWSAPI
Class Tree
Index
Previous
Next (Fmessage_)


Previous (Fhistory)
Next (Fstatus_code)

Member
Fmessage_

Visibility
PRIVATE

Related Class
kt_document_transaction_history_response

Description

#No TAG found in source code#

Source code
Fmessage_ : WideString

KTWSAPI
Class Tree
Index
Previous (Fhistory)
Next (Fstatus_code)


Previous (Fmessage_)
Next

Member
Fstatus_code

Visibility
PRIVATE

Related Class
kt_document_transaction_history_response

Description

#No TAG found in source code#

Source code
Fstatus_code : Integer

KTWSAPI
Class Tree
Index
Previous (Fmessage_)
Next


Previous
Next (message_)

Member
history

Visibility
PUBLISHED

Related Class
kt_document_transaction_history_response

Description

#No TAG found in source code#

Source code
property history : kt_document_transaction_history read Fhistory write Fhistory

Read Access
Fhistory

Write Access
Fhistory

KTWSAPI
Class Tree
Index
Previous
Next (message_)


Previous (history)
Next (status_code)

Member
message_

Visibility
PUBLISHED

Related Class
kt_document_transaction_history_response

Description

#No TAG found in source code#

Source code
property message_ : WideString read Fmessage_ write Fmessage_

Read Access
Fmessage_

Write Access
Fmessage_

KTWSAPI
Class Tree
Index
Previous (history)
Next (status_code)


Previous (message_)
Next

Member
status_code

Visibility
PUBLISHED

Related Class
kt_document_transaction_history_response

Description

#No TAG found in source code#

Source code
property status_code : Integer read Fstatus_code write Fstatus_code

Read Access
Fstatus_code

Write Access
Fstatus_code

KTWSAPI
Class Tree
Index
Previous (message_)
Next


Previous
Next

Member
Destroy

Visibility
PUBLIC

Related Class
kt_document_transaction_history_response

Description

#No TAG found in source code#

Source code
destructor Destroy ; override

Parameters
Parameter Description

KTWSAPI
Class Tree
Index
Previous
Next


Previous (kt_document_transaction_history_response)
Next (kt_document_types_response)

Class
kt_document_transitions_response

Class Hierarchy
TRemotable

Parent
uWebservice

Description

#No TAG found in source code#

Members
Fields
Field | Description
Fmessage_ (-) | #No TAG found in source code#
Fmetadata (-) | #No TAG found in source code#
Fstatus_code (-) | #No TAG found in source code#

Properties
Property | Description
message_ (*) | #No TAG found in source code#
metadata (*) | #No TAG found in source code#
status_code (*) | #No TAG found in source code#

Legend
Symbol | Visibility
- | Private
# | Protected
+ | Public
* | Published
A | Automated
S | Strict

KTWSAPI
Class Tree
Index
Previous (kt_document_transaction_history_response)
Next (kt_document_types_response)


Previous
Next (Fmetadata)

Member
Fmessage_

Visibility
PRIVATE

Related Class
kt_document_transitions_response

Description

#No TAG found in source code#

Source code
Fmessage_ : WideString

KTWSAPI
Class Tree
Index
Previous
Next (Fmetadata)


Previous (Fmessage_)
Next (Fstatus_code)

Member
Fmetadata

Visibility
PRIVATE

Related Class
kt_document_transitions_response

Description

#No TAG found in source code#

Source code
Fmetadata : kt_document_transitions

KTWSAPI
Class Tree
Index
Previous (Fmessage_)
Next (Fstatus_code)


Previous (Fmetadata)
Next

Member
Fstatus_code

Visibility
PRIVATE

Related Class
kt_document_transitions_response

Description

#No TAG found in source code#

Source code
Fstatus_code : Integer

KTWSAPI
Class Tree
Index
Previous (Fmetadata)
Next


Previous
Next (metadata)

Member
message_

Visibility
PUBLISHED

Related Class
kt_document_transitions_response

Description

#No TAG found in source code#

Source code
property message_ : WideString read Fmessage_ write Fmessage_

Read Access
Fmessage_

Write Access
Fmessage_

KTWSAPI
Class Tree
Index
Previous
Next (metadata)


Previous (message_)
Next (status_code)

Member
metadata

Visibility
PUBLISHED

Related Class
kt_document_transitions_response

Description

#No TAG found in source code#

Source code
property metadata : kt_document_transitions read Fmetadata write Fmetadata

Read Access
Fmetadata

Write Access
Fmetadata

KTWSAPI
Class Tree
Index
Previous (message_)
Next (status_code)


Previous (metadata)
Next

Member
status_code

Visibility
PUBLISHED

Related Class
kt_document_transitions_response

Description

#No TAG found in source code#

Source code
property status_code : Integer read Fstatus_code write Fstatus_code

Read Access
Fstatus_code

Write Access
Fstatus_code

KTWSAPI
Class Tree
Index
Previous (metadata)
Next


Previous (kt_document_transitions_response)
Next (kt_document_version_history_item)

Class
kt_document_types_response

Class Hierarchy
TRemotable

Parent
uWebservice

Description

#No TAG found in source code#

Members
Fields
Field | Description
Fdocument_types (-) | #No TAG found in source code#
Fmessage_ (-) | #No TAG found in source code#
Fstatus_code (-) | #No TAG found in source code#

Properties
Property | Description
document_types (*) | #No TAG found in source code#
message_ (*) | #No TAG found in source code#
status_code (*) | #No TAG found in source code#

Legend
Symbol | Visibility
- | Private
# | Protected
+ | Public
* | Published
A | Automated
S | Strict

KTWSAPI
Class Tree
Index
Previous (kt_document_transitions_response)
Next (kt_document_version_history_item)


Previous
Next (Fmessage_)

Member
Fdocument_types

Visibility
PRIVATE

Related Class
kt_document_types_response

Description

#No TAG found in source code#

Source code
Fdocument_types : kt_document_types_array

KTWSAPI
Class Tree
Index
Previous
Next (Fmessage_)


Previous (Fdocument_types)
Next (Fstatus_code)

Member
Fmessage_

Visibility
PRIVATE

Related Class
kt_document_types_response

Description

#No TAG found in source code#

Source code
Fmessage_ : WideString

KTWSAPI
Class Tree
Index
Previous (Fdocument_types)
Next (Fstatus_code)


Previous (Fmessage_)
Next

Member
Fstatus_code

Visibility
PRIVATE

Related Class
kt_document_types_response

Description

#No TAG found in source code#

Source code
Fstatus_code : Integer

KTWSAPI
Class Tree
Index
Previous (Fmessage_)
Next


Previous
Next (message_)

Member
document_types

Visibility
PUBLISHED

Related Class
kt_document_types_response

Description

#No TAG found in source code#

Source code
property document_types : kt_document_types_array read Fdocument_types write Fdocument_types

Read Access
Fdocument_types

Write Access
Fdocument_types

KTWSAPI
Class Tree
Index
Previous
Next (message_)


Previous (document_types)
Next (status_code)

Member
message_

Visibility
PUBLISHED

Related Class
kt_document_types_response

Description

#No TAG found in source code#

Source code
property message_ : WideString read Fmessage_ write Fmessage_

Read Access
Fmessage_

Write Access
Fmessage_

KTWSAPI
Class Tree
Index
Previous (document_types)
Next (status_code)


Previous (message_)
Next

Member
status_code

Visibility
PUBLISHED

Related Class
kt_document_types_response

Description

#No TAG found in source code#

Source code
property status_code : Integer read Fstatus_code write Fstatus_code

Read Access
Fstatus_code

Write Access
Fstatus_code

KTWSAPI
Class Tree
Index
Previous (message_)
Next


Previous (kt_document_types_response)
Next (kt_document_version_history_response)

Class
kt_document_version_history_item

Class Hierarchy
TRemotable

Parent
uWebservice

Description

#No TAG found in source code#

Members
Fields
Field | Description
Fcontent_version (-) | #No TAG found in source code#
Fmetadata_version (-) | #No TAG found in source code#
Fuser (-) | #No TAG found in source code#

Properties
Property | Description
content_version (*) | #No TAG found in source code#
metadata_version (*) | #No TAG found in source code#
user (*) | #No TAG found in source code#

Legend
Symbol | Visibility
- | Private
# | Protected
+ | Public
* | Published
A | Automated
S | Strict

KTWSAPI
Class Tree
Index
Previous (kt_document_types_response)
Next (kt_document_version_history_response)


Previous
Next (Fmetadata_version)

Member
Fcontent_version

Visibility
PRIVATE

Related Class
kt_document_version_history_item

Description

#No TAG found in source code#

Source code
Fcontent_version : WideString

KTWSAPI
Class Tree
Index
Previous
Next (Fmetadata_version)


Previous (Fcontent_version)
Next (Fuser)

Member
Fmetadata_version

Visibility
PRIVATE

Related Class
kt_document_version_history_item

Description

#No TAG found in source code#

Source code
Fmetadata_version : WideString

KTWSAPI
Class Tree
Index
Previous (Fcontent_version)
Next (Fuser)


Previous (Fmetadata_version)
Next

Member
Fuser

Visibility
PRIVATE

Related Class
kt_document_version_history_item

Description

#No TAG found in source code#

Source code
Fuser : Integer

KTWSAPI
Class Tree
Index
Previous (Fmetadata_version)
Next


Previous
Next (metadata_version)

Member
content_version

Visibility
PUBLISHED

Related Class
kt_document_version_history_item

Description

#No TAG found in source code#

Source code
property content_version : WideString read Fcontent_version write Fcontent_version

Read Access
Fcontent_version

Write Access
Fcontent_version

KTWSAPI
Class Tree
Index
Previous
Next (metadata_version)


Previous (content_version)
Next (user)

Member
metadata_version

Visibility
PUBLISHED

Related Class
kt_document_version_history_item

Description

#No TAG found in source code#

Source code
property metadata_version : WideString read Fmetadata_version write Fmetadata_version

Read Access
Fmetadata_version

Write Access
Fmetadata_version

KTWSAPI
Class Tree
Index
Previous (content_version)
Next (user)


Previous (metadata_version)
Next

Member
user

Visibility
PUBLISHED

Related Class
kt_document_version_history_item

Description

#No TAG found in source code#

Source code
property user : Integer read Fuser write Fuser

Read Access
Fuser

Write Access
Fuser

KTWSAPI
Class Tree
Index
Previous (metadata_version)
Next


Previous (kt_document_version_history_item)
Next (kt_folder_contents)

Class
kt_document_version_history_response

Class Hierarchy
TRemotable

Parent
uWebservice

Description

#No TAG found in source code#

Members
Fields
Field | Description
Fhistory (-) | #No TAG found in source code#
Fmessage_ (-) | #No TAG found in source code#
Fstatus_code (-) | #No TAG found in source code#

Methods
Method | Description
Destroy (+) | #No TAG found in source code#

Properties
Property | Description
history (*) | #No TAG found in source code#
message_ (*) | #No TAG found in source code#
status_code (*) | #No TAG found in source code#

Legend
Symbol | Visibility
- | Private
# | Protected
+ | Public
* | Published
A | Automated
S | Strict

KTWSAPI
Class Tree
Index
Previous (kt_document_version_history_item)
Next (kt_folder_contents)


Previous
Next (Fmessage_)

Member
Fhistory

Visibility
PRIVATE

Related Class
kt_document_version_history_response

Description

#No TAG found in source code#

Source code
Fhistory : kt_document_version_history

KTWSAPI
Class Tree
Index
Previous
Next (Fmessage_)


Previous (Fhistory)
Next (Fstatus_code)

Member
Fmessage_

Visibility
PRIVATE

Related Class
kt_document_version_history_response

Description

#No TAG found in source code#

Source code
Fmessage_ : WideString

KTWSAPI
Class Tree
Index
Previous (Fhistory)
Next (Fstatus_code)


Previous (Fmessage_)
Next

Member
Fstatus_code

Visibility
PRIVATE

Related Class
kt_document_version_history_response

Description

#No TAG found in source code#

Source code
Fstatus_code : Integer

KTWSAPI
Class Tree
Index
Previous (Fmessage_)
Next


Previous
Next (message_)

Member
history

Visibility
PUBLISHED

Related Class
kt_document_version_history_response

Description

#No TAG found in source code#

Source code
property history : kt_document_version_history read Fhistory write Fhistory

Read Access
Fhistory

Write Access
Fhistory

KTWSAPI
Class Tree
Index
Previous
Next (message_)


Previous (history)
Next (status_code)

Member
message_

Visibility
PUBLISHED

Related Class
kt_document_version_history_response

Description

#No TAG found in source code#

Source code
property message_ : WideString read Fmessage_ write Fmessage_

Read Access
Fmessage_

Write Access
Fmessage_

KTWSAPI
Class Tree
Index
Previous (history)
Next (status_code)


Previous (message_)
Next

Member
status_code

Visibility
PUBLISHED

Related Class
kt_document_version_history_response

Description

#No TAG found in source code#

Source code
property status_code : Integer read Fstatus_code write Fstatus_code

Read Access
Fstatus_code

Write Access
Fstatus_code

KTWSAPI
Class Tree
Index
Previous (message_)
Next


Previous
Next

Member
Destroy

Visibility
PUBLIC

Related Class
kt_document_version_history_response

Description

#No TAG found in source code#

Source code
destructor Destroy ; override

Parameters
Parameter Description

KTWSAPI
Class Tree
Index
Previous
Next


Previous (kt_document_version_history_response)
Next (kt_folder_detail)

Class
kt_folder_contents

Class Hierarchy
TRemotable

Parent
uWebservice

Description

#No TAG found in source code#

Members
Fields
Field | Description
Ffolder_id (-) | #No TAG found in source code#
Ffolder_name (-) | #No TAG found in source code#
Ffull_path (-) | #No TAG found in source code#
Fitems (-) | #No TAG found in source code#
Fmessage_ (-) | #No TAG found in source code#
Fstatus_code (-) | #No TAG found in source code#

Methods
Method | Description
Destroy (+) | #No TAG found in source code#

Properties
Property | Description
folder_id (*) | #No TAG found in source code#
folder_name (*) | #No TAG found in source code#
full_path (*) | #No TAG found in source code#
items (*) | #No TAG found in source code#
message_ (*) | #No TAG found in source code#
status_code (*) | #No TAG found in source code#

Legend
Symbol | Visibility
- | Private
# | Protected
+ | Public
* | Published
A | Automated
S | Strict

KTWSAPI
Class Tree
Index
Previous (kt_document_version_history_response)
Next (kt_folder_detail)


Previous
Next (Ffolder_name)

Member
Ffolder_id

Visibility
PRIVATE

Related Class
kt_folder_contents

Description

#No TAG found in source code#

Source code
Ffolder_id : Integer

KTWSAPI
Class Tree
Index
Previous
Next (Ffolder_name)


Previous (Ffolder_id)
Next (Ffull_path)

Member
Ffolder_name

Visibility
PRIVATE

Related Class
kt_folder_contents

Description

#No TAG found in source code#

Source code
Ffolder_name : WideString

KTWSAPI
Class Tree
Index
Previous (Ffolder_id)
Next (Ffull_path)


Previous (Ffolder_name)
Next (Fitems)

Member
Ffull_path

Visibility
PRIVATE

Related Class
kt_folder_contents

Description

#No TAG found in source code#

Source code
Ffull_path : WideString

KTWSAPI
Class Tree
Index
Previous (Ffolder_name)
Next (Fitems)


Previous (Ffull_path)
Next (Fmessage_)

Member
Fitems

Visibility
PRIVATE

Related Class
kt_folder_contents

Description

#No TAG found in source code#

Source code
Fitems : kt_folder_items

KTWSAPI
Class Tree
Index
Previous (Ffull_path)
Next (Fmessage_)


Previous (Fitems)
Next (Fstatus_code)

Member
Fmessage_

Visibility
PRIVATE

Related Class
kt_folder_contents

Description

#No TAG found in source code#

Source code
Fmessage_ : WideString

KTWSAPI
Class Tree
Index
Previous (Fitems)
Next (Fstatus_code)


Previous (Fmessage_)
Next

Member
Fstatus_code

Visibility
PRIVATE

Related Class
kt_folder_contents

Description

#No TAG found in source code#

Source code
Fstatus_code : Integer

KTWSAPI
Class Tree
Index
Previous (Fmessage_)
Next


Previous
Next (folder_name)

Member
folder_id

Visibility
PUBLISHED

Related Class
kt_folder_contents

Description

#No TAG found in source code#

Source code
property folder_id : Integer read Ffolder_id write Ffolder_id

Read Access
Ffolder_id

Write Access
Ffolder_id

KTWSAPI
Class Tree
Index
Previous
Next (folder_name)


Previous (folder_id)
Next (full_path)

Member
folder_name

Visibility
PUBLISHED

Related Class
kt_folder_contents

Description

#No TAG found in source code#

Source code
property folder_name : WideString read Ffolder_name write Ffolder_name

Read Access
Ffolder_name

Write Access
Ffolder_name

KTWSAPI
Class Tree
Index
Previous (folder_id)
Next (full_path)


Previous (folder_name)
Next (items)

Member
full_path

Visibility
PUBLISHED

Related Class
kt_folder_contents

Description

#No TAG found in source code#

Source code
property full_path : WideString read Ffull_path write Ffull_path

Read Access
Ffull_path

Write Access
Ffull_path

KTWSAPI
Class Tree
Index
Previous (folder_name)
Next (items)


Previous (full_path)
Next (message_)

Member
items

Visibility
PUBLISHED

Related Class
kt_folder_contents

Description

#No TAG found in source code#

Source code
property items : kt_folder_items read Fitems write Fitems

Read Access
Fitems

Write Access
Fitems

KTWSAPI
Class Tree
Index
Previous (full_path)
Next (message_)


Previous (items)
Next (status_code)

Member
message_

Visibility
PUBLISHED

Related Class
kt_folder_contents

Description

#No TAG found in source code#

Source code
property message_ : WideString read Fmessage_ write Fmessage_

Read Access
Fmessage_

Write Access
Fmessage_

KTWSAPI
Class Tree
Index
Previous (items)
Next (status_code)


Previous (message_)
Next

Member
status_code

Visibility
PUBLISHED

Related Class
kt_folder_contents

Description

#No TAG found in source code#

Source code
property status_code : Integer read Fstatus_code write Fstatus_code

Read Access
Fstatus_code

Write Access
Fstatus_code

KTWSAPI
Class Tree
Index
Previous (message_)
Next


Previous
Next

Member
Destroy

Visibility
PUBLIC

Related Class
kt_folder_contents

Description

#No TAG found in source code#

Source code
destructor Destroy ; override

Parameters
Parameter Description

KTWSAPI
Class Tree
Index
Previous
Next


Previous (kt_folder_contents)
Next (kt_folder_item)

Class
kt_folder_detail

Class Hierarchy
TRemotable

Parent
uWebservice

Description

#No TAG found in source code#

Members
Fields
Field | Description
Ffolder_name (-) | #No TAG found in source code#
Ffull_path (-) | #No TAG found in source code#
Fid (-) | #No TAG found in source code#
Fmessage_ (-) | #No TAG found in source code#
Fparent_id (-) | #No TAG found in source code#
Fstatus_code (-) | #No TAG found in source code#

Properties
Property | Description
folder_name (*) | #No TAG found in source code#
full_path (*) | #No TAG found in source code#
id (*) | #No TAG found in source code#
message_ (*) | #No TAG found in source code#
parent_id (*) | #No TAG found in source code#
status_code (*) | #No TAG found in source code#

Legend
Symbol | Visibility
- | Private
# | Protected
+ | Public
* | Published
A | Automated
S | Strict

KTWSAPI
Class Tree
Index
Previous (kt_folder_contents)
Next (kt_folder_item)


Previous
Next (Ffull_path)

Member
Ffolder_name

Visibility
PRIVATE

Related Class
kt_folder_detail

Description

#No TAG found in source code#

Source code
Ffolder_name : WideString

KTWSAPI
Class Tree
Index
Previous
Next (Ffull_path)


Previous (Ffolder_name)
Next (Fid)

Member
Ffull_path

Visibility
PRIVATE

Related Class
kt_folder_detail

Description

#No TAG found in source code#

Source code
Ffull_path : WideString

KTWSAPI
Class Tree
Index
Previous (Ffolder_name)
Next (Fid)


Previous (Ffull_path)
Next (Fmessage_)

Member
Fid

Visibility
PRIVATE

Related Class
kt_folder_detail

Description

#No TAG found in source code#

Source code
Fid : Integer

KTWSAPI
Class Tree
Index
Previous (Ffull_path)
Next (Fmessage_)


Previous (Fid)
Next (Fparent_id)

Member
Fmessage_

Visibility
PRIVATE

Related Class
kt_folder_detail

Description

#No TAG found in source code#

Source code
Fmessage_ : WideString

KTWSAPI
Class Tree
Index
Previous (Fid)
Next (Fparent_id)


Previous (Fmessage_)
Next (Fstatus_code)

Member
Fparent_id

Visibility
PRIVATE

Related Class
kt_folder_detail

Description

#No TAG found in source code#

Source code
Fparent_id : Integer

KTWSAPI
Class Tree
Index
Previous (Fmessage_)
Next (Fstatus_code)


Previous (Fparent_id)
Next

Member
Fstatus_code

Visibility
PRIVATE

Related Class
kt_folder_detail

Description

#No TAG found in source code#

Source code
Fstatus_code : Integer

KTWSAPI
Class Tree
Index
Previous (Fparent_id)
Next


Previous
Next (full_path)

Member
folder_name

Visibility
PUBLISHED

Related Class
kt_folder_detail

Description

#No TAG found in source code#

Source code
property folder_name : WideString read Ffolder_name write Ffolder_name

Read Access
Ffolder_name

Write Access
Ffolder_name

KTWSAPI
Class Tree
Index
Previous
Next (full_path)


Previous (folder_name)
Next (id)

Member
full_path

Visibility
PUBLISHED

Related Class
kt_folder_detail

Description

#No TAG found in source code#

Source code
property full_path : WideString read Ffull_path write Ffull_path

Read Access
Ffull_path

Write Access
Ffull_path

KTWSAPI
Class Tree
Index
Previous (folder_name)
Next (id)


Previous (full_path)
Next (message_)

Member
id

Visibility
PUBLISHED

Related Class
kt_folder_detail

Description

#No TAG found in source code#

Source code
property id : Integer read Fid write Fid

Read Access
Fid

Write Access
Fid

KTWSAPI
Class Tree
Index
Previous (full_path)
Next (message_)


Previous (id)
Next (parent_id)

Member
message_

Visibility
PUBLISHED

Related Class
kt_folder_detail

Description

#No TAG found in source code#

Source code
property message_ : WideString read Fmessage_ write Fmessage_

Read Access
Fmessage_

Write Access
Fmessage_

KTWSAPI
Class Tree
Index
Previous (id)
Next (parent_id)


Previous (message_)
Next (status_code)

Member
parent_id

Visibility
PUBLISHED

Related Class
kt_folder_detail

Description

#No TAG found in source code#

Source code
property parent_id : Integer read Fparent_id write Fparent_id

Read Access
Fparent_id

Write Access
Fparent_id

KTWSAPI
Class Tree
Index
Previous (message_)
Next (status_code)


Previous (parent_id)
Next

Member
status_code

Visibility
PUBLISHED

Related Class
kt_folder_detail

Description

#No TAG found in source code#

Source code
property status_code : Integer read Fstatus_code write Fstatus_code

Read Access
Fstatus_code

Write Access
Fstatus_code

KTWSAPI
Class Tree
Index
Previous (parent_id)
Next


Previous (kt_folder_detail)
Next (kt_linked_document)

Class
kt_folder_item

Class Hierarchy
TRemotable

Parent
uWebservice

Description

#No TAG found in source code#

Members
Fields
Field | Description
Fchecked_out_by (-) | #No TAG found in source code#
Fcreator (-) | #No TAG found in source code#
Ffilename (-) | #No TAG found in source code#
Fid (-) | #No TAG found in source code#
Fitems (-) | #No TAG found in source code#
Fitem_type (-) | #No TAG found in source code#
Fmajor_version (-) | #No TAG found in source code#
Fmime_display (-) | #No TAG found in source code#
Fmime_icon_path (-) | #No TAG found in source code#
Fmime_type (-) | #No TAG found in source code#
Fminor_version (-) | #No TAG found in source code#
Fmodified_by (-) | #No TAG found in source code#
Fsize (-) | #No TAG found in source code#
Fstorage_path (-) | #No TAG found in source code#
Ftitle (-) | #No TAG found in source code#
Fworkflow (-) | #No TAG found in source code#
Fworkflow_state (-) | #No TAG found in source code#

Methods
Method | Description
Destroy (+) | #No TAG found in source code#

Properties
Property | Description
checked_out_by (*) | #No TAG found in source code#
creator (*) | #No TAG found in source code#
filename (*) | #No TAG found in source code#
id (*) | #No TAG found in source code#
items (*) | #No TAG found in source code#
item_type (*) | #No TAG found in source code#
major_version (*) | #No TAG found in source code#
mime_display (*) | #No TAG found in source code#
mime_icon_path (*) | #No TAG found in source code#
mime_type (*) | #No TAG found in source code#
minor_version (*) | #No TAG found in source code#
modified_by (*) | #No TAG found in source code#
size (*) | #No TAG found in source code#
storage_path (*) | #No TAG found in source code#
title (*) | #No TAG found in source code#
workflow (*) | #No TAG found in source code#
workflow_state (*) | #No TAG found in source code#

Legend
Symbol | Visibility
- | Private
# | Protected
+ | Public
* | Published
A | Automated
S | Strict

KTWSAPI
Class Tree
Index
Previous (kt_folder_detail)
Next (kt_linked_document)


Previous
Next (Fcreator)

Member
Fchecked_out_by

Visibility
PRIVATE

Related Class
kt_folder_item

Description

#No TAG found in source code#

Source code
Fchecked_out_by : WideString

KTWSAPI
Class Tree
Index
Previous
Next (Fcreator)


Previous (Fchecked_out_by)
Next (Ffilename)

Member
Fcreator

Visibility
PRIVATE

Related Class
kt_folder_item

Description

#No TAG found in source code#

Source code
Fcreator : WideString

KTWSAPI
Class Tree
Index
Previous (Fchecked_out_by)
Next (Ffilename)


Previous (Fcreator)
Next (Fid)

Member
Ffilename

Visibility
PRIVATE

Related Class
kt_folder_item

Description

#No TAG found in source code#

Source code
Ffilename : WideString

KTWSAPI
Class Tree
Index
Previous (Fcreator)
Next (Fid)


Previous (Ffilename)
Next (Fitems)

Member
Fid

Visibility
PRIVATE

Related Class
kt_folder_item

Description

#No TAG found in source code#

Source code
Fid : Integer

KTWSAPI
Class Tree
Index
Previous (Ffilename)
Next (Fitems)


Previous (Fid)
Next (Fitem_type)

Member
Fitems

Visibility
PRIVATE

Related Class
kt_folder_item

Description

#No TAG found in source code#

Source code
Fitems : kt_folder_items

KTWSAPI
Class Tree
Index
Previous (Fid)
Next (Fitem_type)


Previous (Fitems)
Next (Fmajor_version)

Member
Fitem_type

Visibility
PRIVATE

Related Class
kt_folder_item

Description

#No TAG found in source code#

Source code
Fitem_type : WideString

KTWSAPI
Class Tree
Index
Previous (Fitems)
Next (Fmajor_version)


Previous (Fitem_type)
Next (Fmime_display)

Member
Fmajor_version

Visibility
PRIVATE

Related Class
kt_folder_item

Description

#No TAG found in source code#

Source code
Fmajor_version : WideString

KTWSAPI
Class Tree
Index
Previous (Fitem_type)
Next (Fmime_display)


Previous (Fmajor_version)
Next (Fmime_icon_path)

Member
Fmime_display

Visibility
PRIVATE

Related Class
kt_folder_item

Description

#No TAG found in source code#

Source code
Fmime_display : WideString

KTWSAPI
Class Tree
Index
Previous (Fmajor_version)
Next (Fmime_icon_path)


Previous (Fmime_display)
Next (Fmime_type)

Member
Fmime_icon_path

Visibility
PRIVATE

Related Class
kt_folder_item

Description

#No TAG found in source code#

Source code
Fmime_icon_path : WideString

KTWSAPI
Class Tree
Index
Previous (Fmime_display)
Next (Fmime_type)


Previous (Fmime_icon_path)
Next (Fminor_version)

Member
Fmime_type

Visibility
PRIVATE

Related Class
kt_folder_item

Description

#No TAG found in source code#

Source code
Fmime_type : WideString

KTWSAPI
Class Tree
Index
Previous (Fmime_icon_path)
Next (Fminor_version)


Previous (Fmime_type)
Next (Fmodified_by)

Member
Fminor_version

Visibility
PRIVATE

Related Class
kt_folder_item

Description

#No TAG found in source code#

Source code
Fminor_version : WideString

KTWSAPI
Class Tree
Index
Previous (Fmime_type)
Next (Fmodified_by)


Previous (Fminor_version)
Next (Fsize)

Member
Fmodified_by

Visibility
PRIVATE

Related Class
kt_folder_item

Description

#No TAG found in source code#

Source code
Fmodified_by : WideString

KTWSAPI
Class Tree
Index
Previous (Fminor_version)
Next (Fsize)


Previous (Fmodified_by)
Next (Fstorage_path)

Member
Fsize

Visibility
PRIVATE

Related Class
kt_folder_item

Description

#No TAG found in source code#

Source code
Fsize : WideString

KTWSAPI
Class Tree
Index
Previous (Fmodified_by)
Next (Fstorage_path)


Previous (Fsize)
Next (Ftitle)

Member
Fstorage_path

Visibility
PRIVATE

Related Class
kt_folder_item

Description

#No TAG found in source code#

Source code
Fstorage_path : WideString

KTWSAPI
Class Tree
Index
Previous (Fsize)
Next (Ftitle)


Previous (Fstorage_path)
Next (Fworkflow)

Member
Ftitle

Visibility
PRIVATE

Related Class
kt_folder_item

Description

#No TAG found in source code#

Source code
Ftitle : WideString

KTWSAPI
Class Tree
Index
Previous (Fstorage_path)
Next (Fworkflow)


Previous (Ftitle)
Next (Fworkflow_state)

Member
Fworkflow

Visibility
PRIVATE

Related Class
kt_folder_item

Description

#No TAG found in source code#

Source code
Fworkflow : WideString

KTWSAPI
Class Tree
Index
Previous (Ftitle)
Next (Fworkflow_state)


Previous (Fworkflow)
Next

Member
Fworkflow_state

Visibility
PRIVATE

Related Class
kt_folder_item

Description

#No TAG found in source code#

Source code
Fworkflow_state : WideString

KTWSAPI
Class Tree
Index
Previous (Fworkflow)
Next


Previous
Next (creator)

Member
checked_out_by

Visibility
PUBLISHED

Related Class
kt_folder_item

Description

#No TAG found in source code#

Source code
property checked_out_by : WideString read Fchecked_out_by write Fchecked_out_by

Read Access
Fchecked_out_by

Write Access
Fchecked_out_by

KTWSAPI
Class Tree
Index
Previous
Next (creator)


Previous (checked_out_by)
Next (filename)

Member
creator

Visibility
PUBLISHED

Related Class
kt_folder_item

Description

#No TAG found in source code#

Source code
property creator : WideString read Fcreator write Fcreator

Read Access
Fcreator

Write Access
Fcreator

KTWSAPI
Class Tree
Index
Previous (checked_out_by)
Next (filename)


Previous (creator)
Next (id)

Member
filename

Visibility
PUBLISHED

Related Class
kt_folder_item

Description

#No TAG found in source code#

Source code
property filename : WideString read Ffilename write Ffilename

Read Access
Ffilename

Write Access
Ffilename

KTWSAPI
Class Tree
Index
Previous (creator)
Next (id)


Previous (filename)
Next (items)

Member
id

Visibility
PUBLISHED

Related Class
kt_folder_item

Description

#No TAG found in source code#

Source code
property id : Integer read Fid write Fid

Read Access
Fid

Write Access
Fid

KTWSAPI
Class Tree
Index
Previous (filename)
Next (items)


Previous (id)
Next (item_type)

Member
items

Visibility
PUBLISHED

Related Class
kt_folder_item

Description

#No TAG found in source code#

Source code
property items : kt_folder_items read Fitems write Fitems

Read Access
Fitems

Write Access
Fitems

KTWSAPI
Class Tree
Index
Previous (id)
Next (item_type)


Previous (items)
Next (major_version)

Member
item_type

Visibility
PUBLISHED

Related Class
kt_folder_item

Description

#No TAG found in source code#

Source code
property item_type : WideString read Fitem_type write Fitem_type

Read Access
Fitem_type

Write Access
Fitem_type

KTWSAPI
Class Tree
Index
Previous (items)
Next (major_version)


Previous (item_type)
Next (mime_display)

Member
major_version

Visibility
PUBLISHED

Related Class
kt_folder_item

Description

#No TAG found in source code#

Source code
property major_version : WideString read Fmajor_version write Fmajor_version

Read Access
Fmajor_version

Write Access
Fmajor_version

KTWSAPI
Class Tree
Index
Previous (item_type)
Next (mime_display)


Previous (major_version)
Next (mime_icon_path)

Member
mime_display

Visibility
PUBLISHED

Related Class
kt_folder_item

Description

#No TAG found in source code#

Source code
property mime_display : WideString read Fmime_display write Fmime_display

Read Access
Fmime_display

Write Access
Fmime_display

KTWSAPI
Class Tree
Index
Previous (major_version)
Next (mime_icon_path)


Previous (mime_display)
Next (mime_type)

Member
mime_icon_path

Visibility
PUBLISHED

Related Class
kt_folder_item

Description

#No TAG found in source code#

Source code
property mime_icon_path : WideString read Fmime_icon_path write Fmime_icon_path

Read Access
Fmime_icon_path

Write Access
Fmime_icon_path

KTWSAPI
Class Tree
Index
Previous (mime_display)
Next (mime_type)


Previous (mime_icon_path)
Next (minor_version)

Member
mime_type

Visibility
PUBLISHED

Related Class
kt_folder_item

Description

#No TAG found in source code#

Source code
property mime_type : WideString read Fmime_type write Fmime_type

Read Access
Fmime_type

Write Access
Fmime_type

KTWSAPI
Class Tree
Index
Previous (mime_icon_path)
Next (minor_version)


Previous (mime_type)
Next (modified_by)

Member
minor_version

Visibility
PUBLISHED

Related Class
kt_folder_item

Description

#No TAG found in source code#

Source code
property minor_version : WideString read Fminor_version write Fminor_version

Read Access
Fminor_version

Write Access
Fminor_version

KTWSAPI
Class Tree
Index
Previous (mime_type)
Next (modified_by)


Previous (minor_version)
Next (size)

Member
modified_by

Visibility
PUBLISHED

Related Class
kt_folder_item

Description

#No TAG found in source code#

Source code
property modified_by : WideString read Fmodified_by write Fmodified_by

Read Access
Fmodified_by

Write Access
Fmodified_by

KTWSAPI
Class Tree
Index
Previous (minor_version)
Next (size)


Previous (modified_by)
Next (storage_path)

Member
size

Visibility
PUBLISHED

Related Class
kt_folder_item

Description

#No TAG found in source code#

Source code
property size : WideString read Fsize write Fsize

Read Access
Fsize

Write Access
Fsize

KTWSAPI
Class Tree
Index
Previous (modified_by)
Next (storage_path)


Previous (size)
Next (title)

Member
storage_path

Visibility
PUBLISHED

Related Class
kt_folder_item

Description

#No TAG found in source code#

Source code
property storage_path : WideString read Fstorage_path write Fstorage_path

Read Access
Fstorage_path

Write Access
Fstorage_path

KTWSAPI
Class Tree
Index
Previous (size)
Next (title)


Previous (storage_path)
Next (workflow)

Member
title

Visibility
PUBLISHED

Related Class
kt_folder_item

Description

#No TAG found in source code#

Source code
property title : WideString read Ftitle write Ftitle

Read Access
Ftitle

Write Access
Ftitle

KTWSAPI
Class Tree
Index
Previous (storage_path)
Next (workflow)


Previous (title)
Next (workflow_state)

Member
workflow

Visibility
PUBLISHED

Related Class
kt_folder_item

Description

#No TAG found in source code#

Source code
property workflow : WideString read Fworkflow write Fworkflow

Read Access
Fworkflow

Write Access
Fworkflow

KTWSAPI
Class Tree
Index
Previous (title)
Next (workflow_state)


Previous (workflow)
Next

Member
workflow_state

Visibility
PUBLISHED

Related Class
kt_folder_item

Description

#No TAG found in source code#

Source code
property workflow_state : WideString read Fworkflow_state write Fworkflow_state

Read Access
Fworkflow_state

Write Access
Fworkflow_state

KTWSAPI
Class Tree
Index
Previous (workflow)
Next


Previous
Next

Member
Destroy

Visibility
PUBLIC

Related Class
kt_folder_item

Description

#No TAG found in source code#

Source code
destructor Destroy ; override

Parameters
Parameter Description

KTWSAPI
Class Tree
Index
Previous
Next


Previous (kt_folder_item)
Next (kt_linked_document_response)

Class
kt_linked_document

Class Hierarchy
TRemotable

Parent
uWebservice

Description

#No TAG found in source code#

Members
Fields
Field | Description
Fdocument_id (-) | #No TAG found in source code#
Flink_type (-) | #No TAG found in source code#
Fsize (-) | #No TAG found in source code#
Ftitle (-) | #No TAG found in source code#
Fworkflow (-) | #No TAG found in source code#
Fworkflow_state (-) | #No TAG found in source code#

Properties
Property | Description
document_id (*) | #No TAG found in source code#
link_type (*) | #No TAG found in source code#
size (*) | #No TAG found in source code#
title (*) | #No TAG found in source code#
workflow (*) | #No TAG found in source code#
workflow_state (*) | #No TAG found in source code#

Legend
Symbol | Visibility
- | Private
# | Protected
+ | Public
* | Published
A | Automated
S | Strict

KTWSAPI
Class Tree
Index
Previous (kt_folder_item)
Next (kt_linked_document_response)


Previous
Next (Flink_type)

Member
Fdocument_id

Visibility
PRIVATE

Related Class
kt_linked_document

Description

#No TAG found in source code#

Source code
Fdocument_id : Integer

KTWSAPI
Class Tree
Index
Previous
Next (Flink_type)


Previous (Fdocument_id)
Next (Fsize)

Member
Flink_type

Visibility
PRIVATE

Related Class
kt_linked_document

Description

#No TAG found in source code#

Source code
Flink_type : WideString

KTWSAPI
Class Tree
Index
Previous (Fdocument_id)
Next (Fsize)


Previous (Flink_type)
Next (Ftitle)

Member
Fsize

Visibility
PRIVATE

Related Class
kt_linked_document

Description

#No TAG found in source code#

Source code
Fsize : Integer

KTWSAPI
Class Tree
Index
Previous (Flink_type)
Next (Ftitle)


Previous (Fsize)
Next (Fworkflow)

Member
Ftitle

Visibility
PRIVATE

Related Class
kt_linked_document

Description

#No TAG found in source code#

Source code
Ftitle : WideString

KTWSAPI
Class Tree
Index
Previous (Fsize)
Next (Fworkflow)


Previous (Ftitle)
Next (Fworkflow_state)

Member
Fworkflow

Visibility
PRIVATE

Related Class
kt_linked_document

Description

#No TAG found in source code#

Source code
Fworkflow : WideString

KTWSAPI
Class Tree
Index
Previous (Ftitle)
Next (Fworkflow_state)


Previous (Fworkflow)
Next

Member
Fworkflow_state

Visibility
PRIVATE

Related Class
kt_linked_document

Description

#No TAG found in source code#

Source code
Fworkflow_state : WideString

KTWSAPI
Class Tree
Index
Previous (Fworkflow)
Next


Previous
Next (link_type)

Member
document_id

Visibility
PUBLISHED

Related Class
kt_linked_document

Description

#No TAG found in source code#

Source code
property document_id : Integer read Fdocument_id write Fdocument_id

Read Access
Fdocument_id

Write Access
Fdocument_id

KTWSAPI
Class Tree
Index
Previous
Next (link_type)


Previous (document_id)
Next (size)

Member
link_type

Visibility
PUBLISHED

Related Class
kt_linked_document

Description

#No TAG found in source code#

Source code
property link_type : WideString read Flink_type write Flink_type

Read Access
Flink_type

Write Access
Flink_type

KTWSAPI
Class Tree
Index
Previous (document_id)
Next (size)


Previous (link_type)
Next (title)

Member
size

Visibility
PUBLISHED

Related Class
kt_linked_document

Description

#No TAG found in source code#

Source code
property size : Integer read Fsize write Fsize

Read Access
Fsize

Write Access
Fsize

KTWSAPI
Class Tree
Index
Previous (link_type)
Next (title)


Previous (size)
Next (workflow)

Member
title

Visibility
PUBLISHED

Related Class
kt_linked_document

Description

#No TAG found in source code#

Source code
property title : WideString read Ftitle write Ftitle

Read Access
Ftitle

Write Access
Ftitle

KTWSAPI
Class Tree
Index
Previous (size)
Next (workflow)


Previous (title)
Next (workflow_state)

Member
workflow

Visibility
PUBLISHED

Related Class
kt_linked_document

Description

#No TAG found in source code#

Source code
property workflow : WideString read Fworkflow write Fworkflow

Read Access
Fworkflow

Write Access
Fworkflow

KTWSAPI
Class Tree
Index
Previous (title)
Next (workflow_state)


Previous (workflow)
Next

Member
workflow_state

Visibility
PUBLISHED

Related Class
kt_linked_document

Description

#No TAG found in source code#

Source code
property workflow_state : WideString read Fworkflow_state write Fworkflow_state

Read Access
Fworkflow_state

Write Access
Fworkflow_state

KTWSAPI
Class Tree
Index
Previous (workflow)
Next


Previous (kt_linked_document)
Next (kt_metadata_field)

Class
kt_linked_document_response

Class Hierarchy
TRemotable

Parent
uWebservice

Description

#No TAG found in source code#

Members
Fields
Field | Description
Flinks (-) | #No TAG found in source code#
Fmessage_ (-) | #No TAG found in source code#
Fparent_document_id (-) | #No TAG found in source code#
Fstatus_code (-) | #No TAG found in source code#

Methods
Method | Description
Destroy (+) | #No TAG found in source code#

Properties
Property | Description
links (*) | #No TAG found in source code#
message_ (*) | #No TAG found in source code#
parent_document_id (*) | #No TAG found in source code#
status_code (*) | #No TAG found in source code#

Legend
Symbol | Visibility
- | Private
# | Protected
+ | Public
* | Published
A | Automated
S | Strict

KTWSAPI
Class Tree
Index
Previous (kt_linked_document)
Next (kt_metadata_field)


Previous
Next (Fmessage_)

Member
Flinks

Visibility
PRIVATE

Related Class
kt_linked_document_response

Description

#No TAG found in source code#

Source code
Flinks : kt_linked_documents

KTWSAPI
Class Tree
Index
Previous
Next (Fmessage_)


Previous (Flinks)
Next (Fparent_document_id)

Member
Fmessage_

Visibility
PRIVATE

Related Class
kt_linked_document_response

Description

#No TAG found in source code#

Source code
Fmessage_ : WideString

KTWSAPI
Class Tree
Index
Previous (Flinks)
Next (Fparent_document_id)


Previous (Fmessage_)
Next (Fstatus_code)

Member
Fparent_document_id

Visibility
PRIVATE

Related Class
kt_linked_document_response

Description

#No TAG found in source code#

Source code
Fparent_document_id : WideString

KTWSAPI
Class Tree
Index
Previous (Fmessage_)
Next (Fstatus_code)


Previous (Fparent_document_id)
Next

Member
Fstatus_code

Visibility
PRIVATE

Related Class
kt_linked_document_response

Description

#No TAG found in source code#

Source code
Fstatus_code : Integer

KTWSAPI
Class Tree
Index
Previous (Fparent_document_id)
Next


Previous
Next (message_)

Member
links

Visibility
PUBLISHED

Related Class
kt_linked_document_response

Description

#No TAG found in source code#

Source code
property links : kt_linked_documents read Flinks write Flinks

Read Access
Flinks

Write Access
Flinks

KTWSAPI
Class Tree
Index
Previous
Next (message_)


Previous (links)
Next (parent_document_id)

Member
message_

Visibility
PUBLISHED

Related Class
kt_linked_document_response

Description

#No TAG found in source code#

Source code
property message_ : WideString read Fmessage_ write Fmessage_

Read Access
Fmessage_

Write Access
Fmessage_

KTWSAPI
Class Tree
Index
Previous (links)
Next (parent_document_id)


Previous (message_)
Next (status_code)

Member
parent_document_id

Visibility
PUBLISHED

Related Class
kt_linked_document_response

Description

#No TAG found in source code#

Source code
property parent_document_id : WideString read Fparent_document_id write Fparent_document_id

Read Access
Fparent_document_id

Write Access
Fparent_document_id

KTWSAPI
Class Tree
Index
Previous (message_)
Next (status_code)


Previous (parent_document_id)
Next

Member
status_code

Visibility
PUBLISHED

Related Class
kt_linked_document_response

Description

#No TAG found in source code#

Source code
property status_code : Integer read Fstatus_code write Fstatus_code

Read Access
Fstatus_code

Write Access
Fstatus_code

KTWSAPI
Class Tree
Index
Previous (parent_document_id)
Next


Previous
Next

Member
Destroy

Visibility
PUBLIC

Related Class
kt_linked_document_response

Description

#No TAG found in source code#

Source code
destructor Destroy ; override

Parameters
Parameter Description

KTWSAPI
Class Tree
Index
Previous
Next


Previous (kt_linked_document_response)
Next (kt_metadata_fieldset)

Class
kt_metadata_field

Class Hierarchy
TRemotable

Parent
uWebservice

Description

#No TAG found in source code#

Members
Fields
Field | Description
Fcontrol_type (-) | #No TAG found in source code#
Fdescription (-) | #No TAG found in source code#
Fname_ (-) | #No TAG found in source code#
Frequired (-) | #No TAG found in source code#
Fselection (-) | #No TAG found in source code#
Fvalue (-) | #No TAG found in source code#

Methods
Method | Description
Destroy (+) | #No TAG found in source code#

Properties
Property | Description
control_type (*) | #No TAG found in source code#
description (*) | #No TAG found in source code#
name_ (*) | #No TAG found in source code#
required (*) | #No TAG found in source code#
selection (*) | #No TAG found in source code#
value (*) | #No TAG found in source code#

Legend
Symbol | Visibility
- | Private
# | Protected
+ | Public
* | Published
A | Automated
S | Strict

KTWSAPI
Class Tree
Index
Previous (kt_linked_document_response)
Next (kt_metadata_fieldset)


Previous
Next (Fdescription)

Member
Fcontrol_type

Visibility
PRIVATE

Related Class
kt_metadata_field

Description

#No TAG found in source code#

Source code
Fcontrol_type : WideString

KTWSAPI
Class Tree
Index
Previous
Next (Fdescription)


Previous (Fcontrol_type)
Next (Fname_)

Member
Fdescription

Visibility
PRIVATE

Related Class
kt_metadata_field

Description

#No TAG found in source code#

Source code
Fdescription : WideString

KTWSAPI
Class Tree
Index
Previous (Fcontrol_type)
Next (Fname_)


Previous (Fdescription)
Next (Frequired)

Member
Fname_

Visibility
PRIVATE

Related Class
kt_metadata_field

Description

#No TAG found in source code#

Source code
Fname_ : WideString

KTWSAPI
Class Tree
Index
Previous (Fdescription)
Next (Frequired)


Previous (Fname_)
Next (Fselection)

Member
Frequired

Visibility
PRIVATE

Related Class
kt_metadata_field

Description

#No TAG found in source code#

Source code
Frequired : Boolean

KTWSAPI
Class Tree
Index
Previous (Fname_)
Next (Fselection)


Previous (Frequired)
Next (Fvalue)

Member
Fselection

Visibility
PRIVATE

Related Class
kt_metadata_field

Description

#No TAG found in source code#

Source code
Fselection : kt_metadata_selection

KTWSAPI
Class Tree
Index
Previous (Frequired)
Next (Fvalue)


Previous (Fselection)
Next

Member
Fvalue

Visibility
PRIVATE

Related Class
kt_metadata_field

Description

#No TAG found in source code#

Source code
Fvalue : WideString

KTWSAPI
Class Tree
Index
Previous (Fselection)
Next


Previous
Next (description)

Member
control_type

Visibility
PUBLISHED

Related Class
kt_metadata_field

Description

#No TAG found in source code#

Source code
property control_type : WideString read Fcontrol_type write Fcontrol_type

Read Access
Fcontrol_type

Write Access
Fcontrol_type

KTWSAPI
Class Tree
Index
Previous
Next (description)


Previous (control_type)
Next (name_)

Member
description

Visibility
PUBLISHED

Related Class
kt_metadata_field

Description

#No TAG found in source code#

Source code
property description : WideString read Fdescription write Fdescription

Read Access
Fdescription

Write Access
Fdescription

KTWSAPI
Class Tree
Index
Previous (control_type)
Next (name_)


Previous (description)
Next (required)

Member
name_

Visibility
PUBLISHED

Related Class
kt_metadata_field

Description

#No TAG found in source code#

Source code
property name_ : WideString read Fname_ write Fname_

Read Access
Fname_

Write Access
Fname_

KTWSAPI
Class Tree
Index
Previous (description)
Next (required)


Previous (name_)
Next (selection)

Member
required

Visibility
PUBLISHED

Related Class
kt_metadata_field

Description

#No TAG found in source code#

Source code
property required : Boolean read Frequired write Frequired

Read Access
Frequired

Write Access
Frequired

KTWSAPI
Class Tree
Index
Previous (name_)
Next (selection)


Previous (required)
Next (value)

Member
selection

Visibility
PUBLISHED

Related Class
kt_metadata_field

Description

#No TAG found in source code#

Source code
property selection : kt_metadata_selection read Fselection write Fselection

Read Access
Fselection

Write Access
Fselection

KTWSAPI
Class Tree
Index
Previous (required)
Next (value)


Previous (selection)
Next

Member
value

Visibility
PUBLISHED

Related Class
kt_metadata_field

Description

#No TAG found in source code#

Source code
property value : WideString read Fvalue write Fvalue

Read Access
Fvalue

Write Access
Fvalue

KTWSAPI
Class Tree
Index
Previous (selection)
Next


Previous
Next

Member
Destroy

Visibility
PUBLIC

Related Class
kt_metadata_field

Description

#No TAG found in source code#

Source code
destructor Destroy ; override

Parameters
Parameter Description

KTWSAPI
Class Tree
Index
Previous
Next


Previous (kt_metadata_field)
Next (kt_metadata_response)

Class
kt_metadata_fieldset

Class Hierarchy
TRemotable

Parent
uWebservice

Description

#No TAG found in source code#

Members
Fields
Field | Description
Fdescription (-) | #No TAG found in source code#
Ffields (-) | #No TAG found in source code#
Ffieldset (-) | #No TAG found in source code#

Methods
Method | Description
Destroy (+) | #No TAG found in source code#

Properties
Property | Description
description (*) | #No TAG found in source code#
fields (*) | #No TAG found in source code#
fieldset (*) | #No TAG found in source code#

Legend
Symbol | Visibility
- | Private
# | Protected
+ | Public
* | Published
A | Automated
S | Strict

KTWSAPI
Class Tree
Index
Previous (kt_metadata_field)
Next (kt_metadata_response)


Previous
Next (Ffields)

Member
Fdescription

Visibility
PRIVATE

Related Class
kt_metadata_fieldset

Description

#No TAG found in source code#

Source code
Fdescription : WideString

KTWSAPI
Class Tree
Index
Previous
Next (Ffields)


Previous (Fdescription)
Next (Ffieldset)

Member
Ffields

Visibility
PRIVATE

Related Class
kt_metadata_fieldset

Description

#No TAG found in source code#

Source code
Ffields : kt_metadata_fields

KTWSAPI
Class Tree
Index
Previous (Fdescription)
Next (Ffieldset)


Previous (Ffields)
Next

Member
Ffieldset

Visibility
PRIVATE

Related Class
kt_metadata_fieldset

Description

#No TAG found in source code#

Source code
Ffieldset : WideString

KTWSAPI
Class Tree
Index
Previous (Ffields)
Next


Previous
Next (fields)

Member
description

Visibility
PUBLISHED

Related Class
kt_metadata_fieldset

Description

#No TAG found in source code#

Source code
property description : WideString read Fdescription write Fdescription

Read Access
Fdescription

Write Access
Fdescription

KTWSAPI
Class Tree
Index
Previous
Next (fields)


Previous (description)
Next (fieldset)

Member
fields

Visibility
PUBLISHED

Related Class
kt_metadata_fieldset

Description

#No TAG found in source code#

Source code
property fields : kt_metadata_fields read Ffields write Ffields

Read Access
Ffields

Write Access
Ffields

KTWSAPI
Class Tree
Index
Previous (description)
Next (fieldset)


Previous (fields)
Next

Member
fieldset

Visibility
PUBLISHED

Related Class
kt_metadata_fieldset

Description

#No TAG found in source code#

Source code
property fieldset : WideString read Ffieldset write Ffieldset

Read Access
Ffieldset

Write Access
Ffieldset

KTWSAPI
Class Tree
Index
Previous (fields)
Next


Previous
Next

Member
Destroy

Visibility
PUBLIC

Related Class
kt_metadata_fieldset

Description

#No TAG found in source code#

Source code
destructor Destroy ; override

Parameters
Parameter Description

KTWSAPI
Class Tree
Index
Previous
Next


Previous (kt_metadata_fieldset)
Next (kt_metadata_selection_item)

Class
kt_metadata_response

Class Hierarchy
TRemotable

Parent
uWebservice

Description

#No TAG found in source code#

Members
Fields
Field | Description
Fmessage_ (-) | #No TAG found in source code#
Fmetadata (-) | #No TAG found in source code#
Fstatus_code (-) | #No TAG found in source code#

Methods
Method | Description
Destroy (+) | #No TAG found in source code#

Properties
Property | Description
message_ (*) | #No TAG found in source code#
metadata (*) | #No TAG found in source code#
status_code (*) | #No TAG found in source code#

Legend
Symbol | Visibility
- | Private
# | Protected
+ | Public
* | Published
A | Automated
S | Strict

KTWSAPI
Class Tree
Index
Previous (kt_metadata_fieldset)
Next (kt_metadata_selection_item)


Previous
Next (Fmetadata)

Member
Fmessage_

Visibility
PRIVATE

Related Class
kt_metadata_response

Description

#No TAG found in source code#

Source code
Fmessage_ : WideString

KTWSAPI
Class Tree
Index
Previous
Next (Fmetadata)


Previous (Fmessage_)
Next (Fstatus_code)

Member
Fmetadata

Visibility
PRIVATE

Related Class
kt_metadata_response

Description

#No TAG found in source code#

Source code
Fmetadata : kt_metadata_fieldsets

KTWSAPI
Class Tree
Index
Previous (Fmessage_)
Next (Fstatus_code)


Previous (Fmetadata)
Next

Member
Fstatus_code

Visibility
PRIVATE

Related Class
kt_metadata_response

Description

#No TAG found in source code#

Source code
Fstatus_code : Integer

KTWSAPI
Class Tree
Index
Previous (Fmetadata)
Next


Previous
Next (metadata)

Member
message_

Visibility
PUBLISHED

Related Class
kt_metadata_response

Description

#No TAG found in source code#

Source code
property message_ : WideString read Fmessage_ write Fmessage_

Read Access
Fmessage_

Write Access
Fmessage_

KTWSAPI
Class Tree
Index
Previous
Next (metadata)


Previous (message_)
Next (status_code)

Member
metadata

Visibility
PUBLISHED

Related Class
kt_metadata_response

Description

#No TAG found in source code#

Source code
property metadata : kt_metadata_fieldsets read Fmetadata write Fmetadata

Read Access
Fmetadata

Write Access
Fmetadata

KTWSAPI
Class Tree
Index
Previous (message_)
Next (status_code)


Previous (metadata)
Next

Member
status_code

Visibility
PUBLISHED

Related Class
kt_metadata_response

Description

#No TAG found in source code#

Source code
property status_code : Integer read Fstatus_code write Fstatus_code

Read Access
Fstatus_code

Write Access
Fstatus_code

KTWSAPI
Class Tree
Index
Previous (metadata)
Next


Previous
Next

Member
Destroy

Visibility
PUBLIC

Related Class
kt_metadata_response

Description

#No TAG found in source code#

Source code
destructor Destroy ; override

Parameters
Parameter Description

KTWSAPI
Class Tree
Index
Previous
Next


Previous (kt_metadata_response)
Next (kt_response)

Class
kt_metadata_selection_item

Class Hierarchy
TRemotable

Parent
uWebservice

Description

#No TAG found in source code#

Members
Fields
Field | Description
Fid (-) | #No TAG found in source code#
Fname_ (-) | #No TAG found in source code#
Fparent_id (-) | #No TAG found in source code#
Fvalue (-) | #No TAG found in source code#

Properties
Property | Description
id (*) | #No TAG found in source code#
name_ (*) | #No TAG found in source code#
parent_id (*) | #No TAG found in source code#
value (*) | #No TAG found in source code#

Legend
Symbol | Visibility
- | Private
# | Protected
+ | Public
* | Published
A | Automated
S | Strict

KTWSAPI
Class Tree
Index
Previous (kt_metadata_response)
Next (kt_response)


Previous
Next (Fname_)

Member
Fid

Visibility
PRIVATE

Related Class
kt_metadata_selection_item

Description

#No TAG found in source code#

Source code
Fid : Integer

KTWSAPI
Class Tree
Index
Previous
Next (Fname_)


Previous (Fid)
Next (Fparent_id)

Member
Fname_

Visibility
PRIVATE

Related Class
kt_metadata_selection_item

Description

#No TAG found in source code#

Source code
Fname_ : WideString

KTWSAPI
Class Tree
Index
Previous (Fid)
Next (Fparent_id)


Previous (Fname_)
Next (Fvalue)

Member
Fparent_id

Visibility
PRIVATE

Related Class
kt_metadata_selection_item

Description

#No TAG found in source code#

Source code
Fparent_id : Integer

KTWSAPI
Class Tree
Index
Previous (Fname_)
Next (Fvalue)


Previous (Fparent_id)
Next

Member
Fvalue

Visibility
PRIVATE

Related Class
kt_metadata_selection_item

Description

#No TAG found in source code#

Source code
Fvalue : WideString

KTWSAPI
Class Tree
Index
Previous (Fparent_id)
Next


Previous
Next (name_)

Member
id

Visibility
PUBLISHED

Related Class
kt_metadata_selection_item

Description

#No TAG found in source code#

Source code
property id : Integer read Fid write Fid

Read Access
Fid

Write Access
Fid

KTWSAPI
Class Tree
Index
Previous
Next (name_)


Previous (id)
Next (parent_id)

Member
name_

Visibility
PUBLISHED

Related Class
kt_metadata_selection_item

Description

#No TAG found in source code#

Source code
property name_ : WideString read Fname_ write Fname_

Read Access
Fname_

Write Access
Fname_

KTWSAPI
Class Tree
Index
Previous (id)
Next (parent_id)


Previous (name_)
Next (value)

Member
parent_id

Visibility
PUBLISHED

Related Class
kt_metadata_selection_item

Description

#No TAG found in source code#

Source code
property parent_id : Integer read Fparent_id write Fparent_id

Read Access
Fparent_id

Write Access
Fparent_id

KTWSAPI
Class Tree
Index
Previous (name_)
Next (value)


Previous (parent_id)
Next

Member
value

Visibility
PUBLISHED

Related Class
kt_metadata_selection_item

Description

#No TAG found in source code#

Source code
property value : WideString read Fvalue write Fvalue

Read Access
Fvalue

Write Access
Fvalue

KTWSAPI
Class Tree
Index
Previous (parent_id)
Next


Previous (kt_metadata_selection_item)
Next

Class
kt_response

Class Hierarchy
TRemotable

Parent
uWebservice

Description

#No TAG found in source code#

Members
Fields
Field | Description
Fmessage_ (-) | #No TAG found in source code#
Fstatus_code (-) | #No TAG found in source code#

Properties
Property | Description
message_ (*) | #No TAG found in source code#
status_code (*) | #No TAG found in source code#

Legend
Symbol | Visibility
- | Private
# | Protected
+ | Public
* | Published
A | Automated
S | Strict

KTWSAPI
Class Tree
Index
Previous (kt_metadata_selection_item)
Next


Previous
Next (Fstatus_code)

Member
Fmessage_

Visibility
PRIVATE

Related Class
kt_response

Description

#No TAG found in source code#

Source code
Fmessage_ : WideString

KTWSAPI
Class Tree
Index
Previous
Next (Fstatus_code)


Previous (Fmessage_)
Next

Member
Fstatus_code

Visibility
PRIVATE

Related Class
kt_response

Description

#No TAG found in source code#

Source code
Fstatus_code : Integer

KTWSAPI
Class Tree
Index
Previous (Fmessage_)
Next


Previous
Next (status_code)

Member
message_

Visibility
PUBLISHED

Related Class
kt_response

Description

#No TAG found in source code#

Source code
property message_ : WideString read Fmessage_ write Fmessage_

Read Access
Fmessage_

Write Access
Fmessage_

KTWSAPI
Class Tree
Index
Previous
Next (status_code)


Previous (message_)
Next

Member
status_code

Visibility
PUBLISHED

Related Class
kt_response

Description

#No TAG found in source code#

Source code
property status_code : Integer read Fstatus_code write Fstatus_code

Read Access
Fstatus_code

Write Access
Fstatus_code

KTWSAPI
Class Tree
Index
Previous (message_)
Next


Previous
Next (kt_document_transitions)

Member
kt_document_transaction_history

Parent
uWebservice

Description

#No TAG found in source code#

Source code
kt_document_transaction_history = array of kt_document_transaction_history_item ;

KTWSAPI
Class Tree
Index
Previous
Next (kt_document_transitions)


Previous (kt_document_transaction_history)
Next (kt_document_types_array)

Member
kt_document_transitions

Parent
uWebservice

Description

#No TAG found in source code#

Source code
kt_document_transitions = array of WideString ;

KTWSAPI
Class Tree
Index
Previous (kt_document_transaction_history)
Next (kt_document_types_array)


Previous (kt_document_transitions)
Next (kt_document_version_history)

Member
kt_document_types_array

Parent
uWebservice

Description

#No TAG found in source code#

Source code
kt_document_types_array = array of WideString ;

KTWSAPI
Class Tree
Index
Previous (kt_document_transitions)
Next (kt_document_version_history)


Previous (kt_document_types_array)
Next (kt_folder_items)

Member
kt_document_version_history

Parent
uWebservice

Description

#No TAG found in source code#

Source code
kt_document_version_history = array of kt_document_version_history_item ;

KTWSAPI
Class Tree
Index
Previous (kt_document_types_array)
Next (kt_folder_items)


Previous (kt_document_version_history)
Next (kt_linked_documents)

Member
kt_folder_items

Parent
uWebservice

Description

#No TAG found in source code#

Source code
kt_folder_items = array of kt_folder_item ;

KTWSAPI
Class Tree
Index
Previous (kt_document_version_history)
Next (kt_linked_documents)


Previous (kt_folder_items)
Next (kt_metadata_fields)

Member
kt_linked_documents

Parent
uWebservice

Description

#No TAG found in source code#

Source code
kt_linked_documents = array of kt_linked_document ;

KTWSAPI
Class Tree
Index
Previous (kt_folder_items)
Next (kt_metadata_fields)


Previous (kt_linked_documents)
Next (kt_metadata_fieldsets)

Member
kt_metadata_fields

Parent
uWebservice

Description

#No TAG found in source code#

Source code
kt_metadata_fields = array of kt_metadata_field ;

KTWSAPI
Class Tree
Index
Previous (kt_linked_documents)
Next (kt_metadata_fieldsets)


Previous (kt_metadata_fields)
Next (kt_metadata_selection)

Member
kt_metadata_fieldsets

Parent
uWebservice

Description

#No TAG found in source code#

Source code
kt_metadata_fieldsets = array of kt_metadata_fieldset ;

KTWSAPI
Class Tree
Index
Previous (kt_metadata_fields)
Next (kt_metadata_selection)


Previous (kt_metadata_fieldsets)
Next

Member
kt_metadata_selection

Parent
uWebservice

Description

#No TAG found in source code#

Source code
kt_metadata_selection = array of kt_metadata_selection_item ;

KTWSAPI
Class Tree
Index
Previous (kt_metadata_fieldsets)
Next


Previous
Next

Member
GetKnowledgeTreePort

Parent
uWebservice

Description

#No TAG found in source code#

Source code
function GetKnowledgeTreePort ( UseWSDL : Boolean = System . False ; Addr : string = '' ; HTTPRIO : THTTPRIO = nil ) : KnowledgeTreePort

Parameters
Parameter | Description
Addr : STRING | #No TAG found in source code#
HTTPRIO : THTTPRIO | #No TAG found in source code#
UseWSDL : BOOLEAN | #No TAG found in source code#

Return
Types | Description
KnowledgeTreePort | #No TAG found in source code#

KTWSAPI
Class Tree
Index
Previous
Next